var livello = 1;
var sotto = 0;
var nomesezione = "";
var nomeApp = "KyLua";



//variabili globali, le popolo al login()
var ptiut = "";
var livut = "";
var distrut = "";

//variabili per traduzioni
var lingua = "IT";

var app = {
    // Application Constructor

    initialize: function() {
        this.bindEvents();
    },
    // Bind Event Listeners
    //
    // Bind any events that are required on startup. Common events are:
    // 'load', 'deviceready', 'offline', and 'online'.
    bindEvents: function() {
        document.addEventListener('deviceready', this.onDeviceReady, false);
    },
    // deviceready Event Handler
    //
    // The scope of 'this' is the event. In order to call the 'receivedEvent'
    // function, we must explicitly call 'app.receivedEvent(...);'
   onDeviceReady: function() {
             if (localStorage.getItem("lingua")==null) {localStorage.setItem("lingua", "it");}
             console.log("linguad"+localStorage.getItem("lingua"));
             leggiTesti();
             caricaMenu();
             app.receivedEvent('deviceready');
       },

    receivedEvent: function(id) {
        console.log('CONSOLLE: Received Event: ' + id);
			if (sessionStorage.getItem("idUtente")>0) {
				$('#linkcarrello').show();
			} else {$('#linkcarrello').hide();}

			$('#btnBack').hide();
			$('#percorso').hide();
			$('#contatti').hide();
			$('#chisiamo').hide();
			$('#formAccount').hide();
			$('#loginResult').hide();
			$('#listacat').hide();
			$('#carrelloDiv').hide();
			$('#listasottocat3').hide();
			$('#listasottocat4').hide();
			$('#listasottocat5').hide();
			$('#listasottocat6').hide();
			$('#listatit').hide();
			$('#listanews').hide();
			$('#listagallery').hide();
			$('#promoList').hide();
			$('#formRicerca').hide();
			$('#listacerca').hide();

			$("#nomeApplicazione").html(nomeApp);

			//navigator.network.connection deprecated
			var connessione = navigator.network.connection.type;  //da phonegap 1.5 ritorna correttamente states[Connection.NONE]
			if (verificaConnessione() == false) {
				navigator.notification.alert(alertConnessione_1, chiudiAppAndroid, nomeApp, "Chiudi");
			} else {
				if(!(localStorage.getItem("login") === null)) {
					loginAutomatico();
				}
				document.getElementById("linkChisiamo").addEventListener('click', caricaChisiamo , true);
				document.getElementById("linkNews").addEventListener('click', caricaNews , true);
				document.getElementById("linkPromozioni").addEventListener('click', caricaGallery , true);
				document.getElementById("linkSezioni").addEventListener('click', caricaCategorie , true);
				document.getElementById("linkAccount").addEventListener('click', mostraAccount , true);
				document.getElementById("linkcarrello").addEventListener('click', mostraCarrello , true);
				document.getElementById("sendAccount").addEventListener('click', login , true);
				document.getElementById("linkcerca").addEventListener('click', caricaRicerca , true);
				document.getElementById("linkContatti").addEventListener('click', caricaContatti , true);
                document.getElementById("linguaen").addEventListener('click', cambiaLingua , true);
                document.getElementById("linguait").addEventListener('click', cambiaLingua , true);
                document.getElementById("linguafr").addEventListener('click', cambiaLingua , true);
                document.getElementById("linguaes").addEventListener('click', cambiaLingua , true);
				document.getElementById("sendCerca").addEventListener('click', caricaRisultati , true);
				$('#btnBack').bind("click", onBackKeyDown);
			}
    }
};

app.initialize();

 //Fires whenever there is an error - helps with toubleshooting.
 window.onerror = function (msg, url, line) {
      var resStr;
      var idx = url.lastIndexOf('/');
      if (idx > -1) {
        url = url.substring(idx + 1);
      }
      resStr = 'ERROR in ' + url + ' on line ' + line + ': ' + msg;
      console.error(resStr);
      alert(resStr);
      return false;
 };

function verificaConnessione() {
    var conn = navigator.connection.type;
    if (conn == Connection.NONE || conn==Connection.UNKNOWN) {
        return false;
        } else {
        return true;
        }
}

function chiudiAppAndroid(){
    navigator.app.exitApp();    //SOLO per Android
}

function alertApp(){
	caricaMenu();
}

function fail() {
    console.log("failed to get filesystem");
}

function onError(error){
 alert("ERROR" + error.source + error.target  + error.cod);
}


// *********************************** //
// **********      MENU     **********
// *********************************** //

function caricaMenu (){
    //document.removeEventListener("backbutton", onBackKeyDown, false);
    $(document).ready(function(){
	    livello = 1;

        //ASSEGNAZIONE AD HTML DELLE VARIABILI LINGUA
	    $('#voce_menu_chisiamo').html(voce_menu_chisiamo);
        $('#voce_menu_news').html(voce_menu_news);
        $('#voce_menu_prodotti').html(voce_menu_prodotti);
        $('#voce_menu_gallery').html(voce_menu_gallery);
        $('#voce_menu_myaccount').html(voce_menu_myaccount);
        $('#voce_menu_contatti').html(voce_menu_contatti);

		$('body,html').animate({scrollTop:0},500);
		$('div.pagina').addClass('logo');
		$('#btnBack').hide();
        $('#percorso').hide();
        $('#contatti').hide();
        $('#chisiamo').hide();
        $('#formAccount').hide();
        $('#loginResult').hide();
		$('#listacat').hide();
		$('#carrelloDiv').hide();
		$('#listanews').hide();
		$('#listagallery').hide();
		$('#listasottocat3').hide();
        $('#listasottocat4').hide();
        $('#listasottocat5').hide();
        $('#listasottocat6').hide();
        $('#listatit').hide();
		$('#formRicerca').hide();
		$('#listacerca').hide();
        $('#promoList').hide();
		$('#menuHome').show();
		$('#bandierine').show();
	});
}


// *********************************** //
// **********     NEWS      **********
// *********************************** //

function downloadFile(nomeFile){
	//var url = encodeURI("http://www.kylua.it/linknews.php?news=" + nomeFile);
	//var url = encodeURI("https://docs.google.com/file/d/0B02UViBc-qg6T0YxZnlVV2hMRlk/edit?usp=sharing");
	var url = encodeURI("https://docs.google.com/viewer?url=http://www.kylua.it/" + nomeFile);
	//var ref = window.open(url, '_blank', 'location=no,menubar=no,resizable=no,status=no,toolbar=no');
	var ref = window.open(url, '_system', 'location=no');
}


function caricaNews() {
	$('div.pagina').removeClass('logo');
	$('#menuHome').hide();
	$('#bandierine').hide();
	if (livello == 1) {
        document.addEventListener("backbutton", onBackKeyDown, false);
    }
    if (device.platform.indexOf("iPhone")>-1 || device.platform.indexOf("iOS")>-1) {
        $('#btnBack').show();
    }

    $(document).ready(function () {
		livello = 9;

		$('#listanews').children().remove('li');
        $('#listanews').show();
        $('#percorso').html(voce_menu_news);
		$('#percorso').show();
        $('body').append('<div id="progress">Loading...</div>');
        $.ajax({
				type: "POST",
				url: "http://www.kylua.it/br_gest/nowhere/news.php?idLingua="+lingua,
				data: "idLingua="+lingua,
				//timeout: 5000,
				success: function (data, status) {
					var datiparsati = jQuery.parseJSON(data);
					$.each(datiparsati, function (i, item) {
						//var fileDaScaricare = item.urlnews.replace("file_news\/","");
						var fileDaScaricare = item.urlnews;
						$("ul#listanews").append('<li><img class="foto-tit" src="http://www.kylua.it/br_gest/'+ item.imgnews +'"><p>'+ item.data +'<br><strong>'+ item.news +'</strong><a href="#" onclick=downloadFile("' + fileDaScaricare+ '"); >'+ testo_pagina_news_scarica_documento +'</a></p></li>');
					});
				   $('ul#listanews').listview('refresh');
				   $('#progress').remove();
				},
				error: function () {
				   $('#progress').remove();
				   navigator.notification.alert(alertConnessione_2,alertApp);
				}
        });
    });
}





// *********************************** //
// **********     GALLERY      **********
// *********************************** //


function caricaGallery() {
	$('div.pagina').removeClass('logo');
	$('#menuHome').hide();
	$('#bandierine').hide();
	if (livello == 1) {
        document.addEventListener("backbutton", onBackKeyDown, false);
    }
    if (device.platform.indexOf("iPhone")>-1 || device.platform.indexOf("iOS")>-1) {
            $('#btnBack').show();
        }

    $(document).ready(function () {
		livello = 9;
		$('#listagallery').children().remove('li');
        $('#listagallery').show();
        $('#percorso').html('Gallery');
		$('#percorso').show();
        $('body').append('<div id="progress">Loading...</div>');
        $.ajax({
				type: "POST",
				url: "http://www.kylua.it/br_gest/nowhere/gallery.php?idLingua="+lingua,
				data: "idLingua="+lingua,
				//timeout: 5000,
				success: function (data, status) {
					var datiparsati = jQuery.parseJSON(data);
					$.each(datiparsati, function (i, item) {
						//var fileDaScaricare = item.urlnews.replace("file_news\/","");
						$("ul#listagallery").append('<li><img src="http://www.kylua.it/'+ item.img +'"><p>'+ item.testo+'</p></li>');
					});
				   $('ul#listagallery').listview('refresh');
				   $('#progress').remove();
				},
				error: function () {
				   $('#progress').remove();
				   navigator.notification.alert(alertConnessione_2,alertApp);
				}
        });
    });
}



// *********************************** //
// **********    CHISIAMO    **********
// *********************************** //

function caricaChisiamo() {
	$('div.pagina').removeClass('logo');
	$('#menuHome').hide();
    $('#bandierine').hide();
	if (livello == 1) {
        document.addEventListener("backbutton", onBackKeyDown, false);
    }
    if (device.platform.indexOf("iPhone")>-1 || device.platform.indexOf("iOS")>-1) {
            $('#btnBack').show();
        }

    $(document).ready(function () {
		livello = 9;

       //ASSEGNAZIONE AD HTML DELLE VARIABILI LINGUA
         $('#testo_pagina_chisiamo_introduzione').html(testo_pagina_chisiamo_introduzione);
         $('#testo_pagina_chisiamo_paraagrafo_1').html(testo_pagina_chisiamo_paraagrafo_1);
         $('#testo_pagina_chisiamo_paraagrafo_2').html(testo_pagina_chisiamo_paraagrafo_2);
         $('#testo_pagina_chisiamo_paraagrafo_3').html(testo_pagina_chisiamo_paraagrafo_3);
         $('#testo_pagina_chisiamo_paraagrafo_4').html(testo_pagina_chisiamo_paraagrafo_4);
         $('#testo_pagina_chisiamo_paraagrafo_5').html(testo_pagina_chisiamo_paraagrafo_5);
          $('#testo_pagina_chisiamo_claim').html(testo_pagina_chisiamo_claim);

        $('#chisiamo').show();
        $('#percorso').html(voce_menu_chisiamo);
		$('#percorso').show();

    });
}



// *********************************** //
// **********     CONTATTI     **********
// *********************************** //

function caricaContatti() {
	$('div.pagina').removeClass('logo');
	$('#menuHome').hide();
	$('#bandierine').hide();
	if (livello == 1) {
        document.addEventListener("backbutton", onBackKeyDown, false);
    }
    if (device.platform.indexOf("iPhone")>-1 || device.platform.indexOf("iOS")>-1) {
            $('#btnBack').show();
        }

    $(document).ready(function () {
		livello = 9;

        //ASSEGNAZIONE AD HTML DELLE VARIABILI LINGUA
        $('#testo_pagina_contatti_fax').html(testo_pagina_contatti_fax);
        $('#testo_pagina_contatti_vendite_italia').html(testo_pagina_contatti_vendite_italia);
        $('#testo_pagina_contatti_vendite_estero').html(testo_pagina_contatti_vendite_estero);
        $('#testo_pagina_contatti_accademia_formazione').html(testo_pagina_contatti_accademia_formazione);
        $('#testo_pagina_contatti_ufficio_stampa').html(testo_pagina_contatti_ufficio_stampa);
        $('#testo_pagina_contatti_clicca_fb').html(testo_pagina_contatti_clicca_fb);
         $('#percorso').html(voce_menu_contatti);

        $('#contatti').show();
		$('#percorso').show();

    });
}


// *********************************** //
// **********     LINGUA     **********
// *********************************** //

function cambiaLingua(evt) {
    lingua = evt.target.id.substring(6, 8);
    console.log("CONSOLLE: cambiaLingua " + lingua);
	localStorage.setItem("lingua", lingua);
	leggiTesti();
}


function leggiTesti() {
   //INGLESE
   if (localStorage.getItem("lingua") == "en"){
       lingua = "EN";

        //GENERICI
        alertConnessione_1 = "To use the application, an Internet connection is required.";
        alertConnessione_2 = "Error loading data. An internet connection is required to use the application.";

        //VOCI MENU PRINCIPALE E TITOLI PAGINE
        voce_menu_chisiamo = "About us";
        voce_menu_news = "News";
        voce_menu_prodotti = "Products";
        voce_menu_gallery = "Gallery";
        voce_menu_myaccount = "My account";
        voce_menu_contatti = "Contact";

        //PAGINA CHI SIAMO
        testo_pagina_chisiamo_introduzione = "The KyLua world always with you! When beauty meets Italian high quality, here generated authentic style. The unique style KyLua.";
        testo_pagina_chisiamo_paraagrafo_1 = "KyLua is a manufacturer of UV gels and lacquers, it’s a <strong>MADE IN ITALY</strong> brand and it’s appreciated for its high quality products in the field of nails and beauty treatments for hands and feet. The KyLua method is internationally known especially for the extraordinary resistance and for the brightness of its gel. It differs for the <strong>absolute lack of nickel and methacrylic acids</strong>.<br /><br /> The superior production process has allowed to obtain important certifications  because it’s in conformity with regulations for design, manufacture and marketing of resins, cosmetic products and equipments for nail building sector. <br /><br />It offers a full range of tools and equipments  to perform in a professional manner  the activity of nail technician;  it also offers a cosmetic products line, creams and nail lacquers  for customers who want to maintain the beauty of the hands also out of the beauty salon. KyLua is committed to make training and constant updates at all levels, from professional nail technicians to those who approach for the first time in the world nail. In addition, in order to ensure a complete and updated knowledge of their method, it ensures a continuous technical support for professional life.";
        testo_pagina_chisiamo_paraagrafo_2 = " <strong>History</strong><br /> KyLua was founded in 2002 with twenty years experience in UV composites branch in dental field. Immediately it creates and manufactures its own UV gel thanks to the study and to the continuous work of the Laboratory Research and Development and to the technical support of chemists, consultants and nail technicians. <br /><br />The team and the technical staff collaborate and challenge themselves to reach high-level results and to try to satisfy  the wishes and the needs of our customers and nail technicians. The continuous innovation of the production processes and the study of the new composites allows  the continuous renewal of the UV gels  products line  and the constant extension of the range of colors in order to be always fashionable.";
        testo_pagina_chisiamo_paraagrafo_3 = "<strong>Product lines</strong><br /> During the time KyLua  has developed various product lines in order to meet at 360° to the various and different demands. For every need there is a complete and specific line of products suitable to satisfy  the wishes of each woman or professional nail technician: <ul> 	<li>KyLua Pro: complete professional line; all you need to perform adequately the work of nail technician.</li> 	<li>KyLac: UV lacquer by KyLua. 3 systems of application / removal: KyLac Pro, Twin Use and KyFly. You can choose  your favorite ...</li> 	<li>KyLua Retail: nail lacquers, creams line, products and manicure tools. Exhibitors and Display. The line for the beauty of the hands out of the nails  center.</li> 	<li>Professional equipments: KyLua chooses Klinic.</li> 	<li>KyLua Fashion: Down with the uniforms! Elegance and uniqueness are basic concepts in KyLua.</li> 	<li>Cinema Look Lashes: the extension lashes treatment by KyLua.</li> </ul>";
        testo_pagina_chisiamo_paraagrafo_4 = "<strong>Certifications</strong><br /> All the production of KyLua UV gel comply with the  <strong>European laws</strong> of reference and it has the certification of compliance with  ISO 9001:2008 and  ISO 22716:2008. <br />  The certificates with the N° 10749 and ACVPR 70 refer to the following  processes and products/services:  <ul> <li> ISO 9001:2008 Being ISO 9001 certified means having inside the company a well-defined organizational system and documented quality manuals, procedures, instructions, quality registration documents, etc. The goal is to ensure that a product complies with the requirements specified in the regulations, and every processing step is documented and verifiable. The adoption of the certification is not mandatory, but it is often required and considered as fundamental requirement.</li> <li> Marketing of cosmetic products and equipments for cosmetics industry.</li> <li> UNI EN ISO 22716 It establishes the guidelines for the production, control, storage and shipment of cosmetic products with the aim to guarantee to the client  high standards of safety and sanitation. These guidelines provide organizational and practical guidance for the management of human, technical and administrative factors that influence  the quality of cosmetic products.</li> </ul>";
        testo_pagina_chisiamo_paraagrafo_5 = "All KyLua products  are an exclusive  <strong>Italian production</strong>  designed with the collaboration of KyLua Team and the chemists of R & D Lab.  <br /><br /> All UV gel composites  are <strong>ACID &Nickel FREE</strong>.";
        testo_pagina_chisiamo_claim = "STAY TRENDY,<br />STAY UNIQUE,<br />BE KYLUA!";

        //PAGINA NEWS
        testo_pagina_news_scarica_documento = "Download";

        //PAGINA CONTATTI
        testo_pagina_contatti_fax = "Fax";
        testo_pagina_contatti_vendite_italia = "Italy sales";
        testo_pagina_contatti_vendite_estero = "Foreign sales";
        testo_pagina_contatti_accademia_formazione = "Academy and Training";
        testo_pagina_contatti_ufficio_stampa = "Press office";
        testo_pagina_contatti_clicca_fb = "Click and follow the official KyLua page!";

        //PAGINA CERCA
        testo_pagina_ricerca_motore_ricerca  = "Search engine";
        testo_pagina_ricerca_inserisci_caratteri_codici  = "Enter the characters or the codes";
        testo_pagina_ricerca_bottone_cerca  = "SEARCH";
        testo_pagina_ricerca_attenzione_tre_caratteri = "Attention enter at least 3 characters";
        testo_pagina_ricerca_risultati_ricerca = "Search results";
        testo_pagina_ricerca_nessun_prodotto_trovato = "No product found";

        //PAGINA MY ACCOUNT
        testo_pagina_myaccount_label_username = "Username";
        testo_pagina_myaccount_label_password = "Password";
        testo_pagina_myaccount_ricorda = "Remember your login data";
        testo_pagina_myaccount_bottone_entra  = "LOG IN";
        testo_pagina_myaccount_non_sei_registrato_1 = 'Not registered yet? <a href="http://www.kylua.it/reg_form/registrazione_form_en.php">SIGN UP and SAVE!</a>';
        //testo_pagina_myaccount_non_sei_registrato_2 = "Sign up and save!";
        testo_pagina_myaccount_con_la_registrazione = "With the registration see the prices – send preorders- collect points. Start saving: with the points you will get free products!";
        testo_pagina_myaccount_leggi_regolamento = "Read the rules";
        testo_pagina_myaccount_utente_non_riconosciuto = "User not recognized. Try again";
        testo_pagina_myaccount_benvenuto = "Welcome, login has been made properly.";
        testo_pagina_myaccount_distributore = "Distributor";
        testo_pagina_myaccount_livello = "Level";
        testo_pagina_myaccount_punti = "Points";
        testo_pagina_myaccount_visualizza_contenuti_riservati = "VIEW CONTENT RESERVED";
        testo_pagina_myaccount_utente_loggato  = "User logged in";
        testo_pagina_myaccount_logout  = "LOGOUT";

         //PAGINA PRODOTTO
        testo_pagina_prodotto_cod  = "Cod.";
        testo_pagina_prodotto_tit  = "Tit.";
        testo_pagina_prodotto_rif  = "Rif.";
        testo_pagina_prodotto_ = "Var.";
        testo_pagina_prodotto_not  = "Not.";
        testo_pagina_prodotto_qnt  = "Qty.";
        testo_pagina_prodotto_prezzo  = "Price";
        testo_pagina_prodotto_tendina_quantita  = "Amount";
        testo_pagina_prodotto_bottone_compra  = "Buy";
        testo_pagina_prodotto_nota_prezzo  = "Suggested  price list without VAT";

        //PAGINA CARRELLO
        testo_pagina_carrello_shopping_cart = "Shopping Cart";
        testo_pagina_carrello_cod  = "Cod.";
        testo_pagina_carrello_prezzo  = "Price";
        testo_pagina_carrello_qnt  = "Qty.";
        testo_pagina_carrello_sei_sicuro_elimina = "Are you sure you want to delete the item from the shopping cart?";
        testo_pagina_carrello_sei_sicuro_conferma = "Confirm delete";
        testo_pagina_carrello_ok = "OK";
        testo_pagina_carrello_sei_sicuro_annulla = "Cancel";
        testo_pagina_carrello_sei_sicuro_risposta = "The product has been removed from the cart";
        testo_pagina_carrello_prodotto_aggiunto_1 = "The product";
        testo_pagina_carrello_prodotto_aggiunto_2 = "has been added to cart";
        testo_pagina_carrello_voglio_utilizzare_punti = "I want to use my points";
        testo_pagina_carrello_note = "Notes";
        testo_pagina_carrello_bottone_invia_preordine = "SEND PREORDER";
        testo_pagina_carrello_carrello_vuoto = "Your shopping cart is still empty";

        //PAGINA CONFERMA ORDINE
        testo_pagina_ordine_confermato = "Thanks, your order has been sent correctly";
        testo_pagina_ordine_articoli_non_disponibili_1 = "Items:";
        testo_pagina_ordine_articoli_non_disponibili_2 = "are not available";
        testo_pagina_ordine_totale_ordine = "Total order";
        testo_pagina_ordine_errore_generico= "Warning, it was an error. Order not transmitted. Try again";
        testo_pagina_ordine_errore_articolo = "Warning! Items are no longer available. Not transmitted order";
   }

   //ITALIANO
   if (localStorage.getItem("lingua") == "it"){
       lingua = "IT";
       //MESSAGGI GENERICI
       alertConnessione_1 = "Per utilizzare l'applicazione, e' necessaria una connessione a Internet.";
       alertConnessione_2 = "Errore caricamento dati. E' necessaria una connessione internet per utilizzare l'applicazione.";
       //VOCI MENU PRINCIPALE E TITOLI PAGINE
       voce_menu_chisiamo = "Chi siamo";
       voce_menu_news = "News";
       voce_menu_prodotti = "Prodotti";
       voce_menu_gallery = "Gallery";
       voce_menu_myaccount = "My account";
       voce_menu_contatti = "Contatti";

        //PAGINA CHI SIAMO
        testo_pagina_chisiamo_introduzione = "Quando la bellezza incontra l’alta qualità italiana,ecco che si genera autentico stile. L’inimitabile stile KyLua.";
       testo_pagina_chisiamo_paraagrafo_1 = "KyLua è azienda produttrice di gel e smalti UV, marchio <strong>MADE IN ITALY</strong> apprezzato per i suoi prodotti di alta qualità nel settore della ricostruzione unghie e dei trattamenti estetici per mani e piedi. Il metodo KyLua è conosciuto a livello internazionale soprattutto per l’eccezionale resistenza e per la luminosità dei suoi gel. Si differenzia da sempre per la <strong>mancanza assoluta di nickel e acidi metacrilici</strong>.<br /><br /> Il processo produttivo di qualità superiore ha permesso di ottenere importanti certificazioni in quanto conformi alle normative per la progettazione, produzione e commercializzazione di resine, prodotti cosmetici e attrezzature per il settore estetico di ricostruzione unghie. <br /><br />Offre una gamma completa di strumenti e attrezzature per svolgere al meglio e in modo professionale l’attività di onicotecnico; propone anche una linea prodotti cosmetici, creme e smalti per la clientela che vuole mantenere la bellezza delle mani anche fuori dal centro estetico. KyLua si impegna alla formazione e all’aggiornamento costante a tutti i livelli, dalle professioniste del settore a coloro che si approcciano per la prima volta al mondo nail. Inoltre, per poter garantire una conoscenza completa e aggiornata del proprio metodo,  assicura alle tecniche un supporto continuativo per la vita professionale.";
       testo_pagina_chisiamo_paraagrafo_2 = "<strong>Storia</strong><br /> KyLua nasce nel 2002 dall’esperienza ventennale nel settore dei compositi fotopolimerizzanti in campo odontoiatrico. Da subito crea e produce i propri UV gel grazie allo studio e al lavoro continuo del Laboratorio Ricerca&Sviluppo e al supporto tecnico di chimici, consulenti ed onicotecniche. <br /><br />Il Team e lo Staff tecnico collaborano e si confrontano per raggiungere risultati di alto livello e per riuscire ad esaudire i desideri e soddisfare le esigenze di clienti e professionisti del settore. L’innovazione continua dei processi produttivi e lo studio di nuovi compositi permette il rinnovo continuo della linea dei prodotti UV gel e l’ampliamento costante della gamma dei colori per essere sempre al passo con la tendenza moda del momento.";
        testo_pagina_chisiamo_paraagrafo_3 = "<strong>Linee</strong><br /> KyLua nel tempo ha sviluppato varie linee di prodotti per poter rispondere a 360° alle varie e differenti richieste. Per ogni esigenza c’è una linea completa e specifica di prodotti  adatti ad esaudire i desideri di ogni donna o professionista del settore: <ul> 	<li>KyLua Pro:  linea professionale completa; tutto ciò che serve per svolgere di modo competente il lavoro di onicotecnico.</li> 	<li>KyLac: lo smalto UV di KyLua. 3 sistemi di applicazione/rimozione: KyLac Pro, Twin Use e KyFly.  A voi la scelta del vostro preferito...</li> 	<li>KyLua Retail: smalti tradizionali, linea creme, prodotti e strumenti per la manicure. Espositori e display.  La linea per la bellezza delle mani fuori dal centro nails.</li> 	<li>Attrezzature professionali: KyLua ha scelto Klinic.</li> 	<li>KyLua Fashion: abbasso le divise! L’eleganza e l’unicità sono concetti base in KyLua.</li> 	<li>Cinemà Look Lashes: il trattamento di xtension ciglia by KyLua.</li> </ul>";
       testo_pagina_chisiamo_paraagrafo_4 = "<strong>Certificazioni</strong><br /> Tutta la produzione UV gel di KyLua é conforme alle  <strong>normative europee</strong> di riferimento e possiede la Certificazione di conformità alle norme ISO 9001:2008 e ISO 22716:2008.<br />   I certificati, con il N° 10749 e ACVPR 70 sono riferiti ai seguenti processi e prodotti/servizi: <ul> <li> ISO 9001:2008 Essere certificati ISO 9001 vuol dire avere all’interno dell’azienda un sistema organizzativo ben definito e documentato con manuali di qualità, procedure, istruzioni, documenti di registrazione di qualità, etc. L’obiettivo è quello di assicurare che un prodotto sia conforme ai requisiti specificati nelle normative e ogni fase di lavorazione è documentata pertanto verificabile. L’adozione della certificazione non è obbligatoria ma di fatto è spesso richiesta e considerata requisito fondamentale.</li> <li> Commercializzazione di prodotti cosmetici e attrezzature per settore cosmetico - Marketing of cosmetic products and equipments for cosmetics industry.</li> <li> UNI EN ISO 22716 fissa le Linee Guida per la produzione, il controllo, la conservazione e la spedizione dei prodotti cosmetici con la finalità di garantire al consumatore elevati standard di sicurezza e igienico-sanitari. Queste linee guida forniscono indicazioni organizzative e pratiche per la gestione dei fattori umani, tecnici ed amministrativi che influenzano la qualità dei prodotti cosmetici.</li> </ul>"
       testo_pagina_chisiamo_paraagrafo_5 = "Tutti i prodotti KyLua sono un’esclusiva <strong>produzione italiana</strong> ideata dalla collaborazione del Team KyLua con i chimici del Laboratorio R&D.<br /><br /> Tutti i compositi UV gel sono <strong>Nickel&Acid FREE</strong>.";
       testo_pagina_chisiamo_claim =  "STAY TRENDY,<br />STAY UNIQUE,<br />BE KYLUA!";

       //PAGINA NEWS
       testo_pagina_news_scarica_documento = "Scarica il documento";

       //PAGINA CONTATTI
       testo_pagina_contatti_fax = "Fax";
       testo_pagina_contatti_vendite_italia = "Vendite Italia";
       testo_pagina_contatti_vendite_estero = "Vendite Estero";
       testo_pagina_contatti_accademia_formazione = "Accademia e formazione";
       testo_pagina_contatti_ufficio_stampa = "Ufficio stampa";
       testo_pagina_contatti_clicca_fb = "Clicca e segui la pagina ufficiale KyLua!";

       //PAGINA CERCA
       testo_pagina_ricerca_motore_ricerca  = "Motore di ricerca";
       testo_pagina_ricerca_inserisci_caratteri_codici  = "Inserisci caratteri o codici";
       testo_pagina_ricerca_bottone_cerca  = "CERCA";
       testo_pagina_ricerca_attenzione_tre_caratteri = "Attenzione inserire una stringa di ricerca di almeno 3 caratteri";
       testo_pagina_ricerca_risultati_ricerca = "Risultati ricerca";
       testo_pagina_ricerca_nessun_prodotto_trovato = "Nessun prodotto trovato";

       //PAGINA MY ACCOUNT
       testo_pagina_myaccount_label_username = "Username";
       testo_pagina_myaccount_label_password = "Password";
       testo_pagina_myaccount_ricorda = "Ricorda i dati di accesso";
       testo_pagina_myaccount_bottone_entra  = "ENTRA";
       testo_pagina_myaccount_non_sei_registrato_1 = 'Non sei registrato? <a href="http://www.kylua.it/reg_form/registrazione_form.php">REGISTRATI E RISPARMIA!</a>';
       //testo_pagina_myaccount_non_sei_registrato_2 = "REGISTRATI E RISPARMIA!";
       testo_pagina_myaccount_con_la_registrazione = "Con la registrazione: visualizzi i prezzi - invii preordini - accumuli punti. Inizia il risparmio: con i punti potrai ricevere prodotti in regalo!";
       testo_pagina_myaccount_leggi_regolamento = "Leggi il regolamento";
       testo_pagina_myaccount_utente_non_riconosciuto = "Utente non riconosiuto. Riprova";
       testo_pagina_myaccount_benvenuto = "Benvenuto, login effettuato correttamente.";
       testo_pagina_myaccount_distributore = "Distributore";
       testo_pagina_myaccount_livello = "Livello";
       testo_pagina_myaccount_punti = "Punti";
       testo_pagina_myaccount_visualizza_contenuti_riservati = "VISUALIZZA I CONTENUTI RISERVATI";
       testo_pagina_myaccount_utente_loggato  = "Utente loggato";
       testo_pagina_myaccount_logout  = "LOGOUT";

       //PAGINA PRODOTTO
       testo_pagina_prodotto_cod  = "Cod.";
       testo_pagina_prodotto_tit  = "Tit.";
       testo_pagina_prodotto_rif  = "Rif.";
       testo_pagina_prodotto_var  = "Var.";
       testo_pagina_prodotto_not  = "Not.";
       testo_pagina_prodotto_qnt  = "Qnt.";
       testo_pagina_prodotto_prezzo  = "Prezzo";
       testo_pagina_prodotto_tendina_quantita  = "Quantita'";
       testo_pagina_prodotto_bottone_compra  = "COMPRA";
       testo_pagina_prodotto_nota_prezzo  = "Prezzo di listino al pubblico consigliato senza IVA";

       //PAGINA CARRELLO
       testo_pagina_carrello_shopping_cart = "Shopping Cart";
       testo_pagina_carrello_cod  = "Cod.";
       testo_pagina_carrello_prezzo  = "Prezzo";
       testo_pagina_carrello_qnt  = "Qnt.";
       testo_pagina_carrello_sei_sicuro_elimina = "Sei sicuro di voler eliminare il prodotto dal carrello?";
       testo_pagina_carrello_sei_sicuro_conferma = "Conferma eliminazione";
       testo_pagina_carrello_ok = "OK";
       testo_pagina_carrello_sei_sicuro_annulla = "Annulla";
       testo_pagina_carrello_sei_sicuro_risposta = "Prodotto eliminato dal carrello";
       testo_pagina_carrello_prodotto_aggiunto_1 = "Il prodotto";
       testo_pagina_carrello_prodotto_aggiunto_2 = "e' stato inserito nel carrello";
       testo_pagina_carrello_voglio_utilizzare_punti = "Voglio utilizzare i miei punti";
       testo_pagina_carrello_note = "Note";
       testo_pagina_carrello_bottone_invia_preordine = "INVIA PREORDINE";
       testo_pagina_carrello_carrello_vuoto = "Il tuo carrello &egrave; ancora vuoto";

       //PAGINA CONFERMA ORDINE
       testo_pagina_ordine_confermato = "Grazie, il tuo ordine &egrave, stato trasmesso correttamente";
       testo_pagina_ordine_articoli_non_disponibili_1 = "Gli articoli:";
       testo_pagina_ordine_articoli_non_disponibili_2 = "non sono disponibili";
       testo_pagina_ordine_totale_ordine = "Totale ordine";
       testo_pagina_ordine_errore_generico= "Attenzione, si &egrave; verificato un errore. Ordine non trasmesso. Riprova";
       testo_pagina_ordine_errore_articolo = "Attenzione! Articoli non pi&ugrave; disponibili. Ordine non trasmesso";


   }


   if (localStorage.getItem("lingua") == "es"){
        lingua = "ES";
        //MESSAGGI GENERICI
        alertConnessione_1 = "Para utilizar la aplicación, se requiere una conexión a Internet.";
        alertConnessione_2 = "La carga de datos de error. Se requiere una conexión a Internet para utilizar la aplicación.";
        //VOCI MENU PRINCIPALE E TITOLI PAGINE
        voce_menu_chisiamo = "Quien somos";
        voce_menu_news = "Novidad";
        voce_menu_prodotti = "Productos";
        voce_menu_gallery = "Galería";
        voce_menu_myaccount = "Cuentas";
        voce_menu_contatti = "Contactos";

         //PAGINA CHI SIAMO
         testo_pagina_chisiamo_introduzione = "Cuando la belleza conoce la alta calidad italiana, aquí se genera un estilo auténtico. El enimitable estilo KyLua.";

        testo_pagina_chisiamo_paraagrafo_1 = "KyLua es un empresa productora de gel y esmalte UV, marca <strong>Made in Italy</strong> avaluada por su productos de alta calidad en el sector de la recostrucion de uñasy de los tratamientos de belleza por manos y pies. El estilo KyLua es conocido a nivel internacional sobre todo por su particular resistencia y por el brillo de su gel. Desde siempre KyLua se diferencia por estar <strong>libre de níquel y ácidos metacrílicos</strong>. <br /><br />El proceso de produción de alta calidad ha permitido de obtener certificaciones de las normas de fabricación y comercialización de resinas, cosméticos y equipos para el sector reconstrucción y belleza. <br /><br />Ofrece una gama completa de herramientas y equipos para realizar en la manera màs profesional la profesióne Onicotecnica; También se ofrece una línea de cosméticos, cremas y esmaltes para los clientes que quieren mantener la belleza de las manos también fuera del salón de belleza. KyLua se compromete a la formación y actualización constante en todos los niveles, desde los profesionales a los que se acercan por primera vez en el mundo de las uñas. Además, a fin de garantizar el conocimiento completo y actual de su método, se asegura el soporte técnico continuo para la vida profesional.";
        testo_pagina_chisiamo_paraagrafo_2 = "<strong>Historia</strong><br /> KyLua nache en 2002 desde la experencia de veintes años en el sector de composites fotopolimerizable para odontología. Imediatamente crea y produce el suyo gel UV gracias a los studios y al trabajo del Laboratorio de Investigación y Desarrollo y el apoyo técnico de la químicos, consultores y técnicos de las uñas. <br /><br />El equipo y el cuerpo técnico colaboran y participan para lograr resultados de alto nivel y para poder cumplir  los deseos y satisfacer las necesidades de los clientes y profesionales del sector. Las producciónes innovadoras y los estudios de nuevos procesos permite la continua renovación de la línea de productos de geles UV y la expansión constante de las gamas de colores para estar siempre en sintonía con la tendencia de la moda del momento.";
        testo_pagina_chisiamo_paraagrafo_3 = "<strong>Lineas</strong><br /> KyLua con el tiempo ha desarrollado diversas líneas de productos al fin de responder en 360° a las diferentes demandas. En cada necesidad hay una línea completa y específica de productos adecuados a satisfacer los deseos de cada mujer y profesional: <ul> <li>KyLua Pro: línea profesional completa; todo lo que se necesita para realizar el trabajo de Onicotecnica.</li> 	<li>KyLac: esmaltes UV KyLua: 3 sistemas de aplicación/desquite: KyLac Pro, Twin use y KyFly. Puede elegir su favorito ...</li> 	<li>KyLua Retail: los esmaltes tradicionales, línea de cremas, productos y herramientas para la manicura. Expositores-Display. La línea para la belleza de uñas en uso domestico.</li> 	<li>En Los equipos profesionales: KyLua eligió Klinic.</li> 	<li>KyLua Moda: ¡Abajo los uniformes! La elegancia y la originalidad son conceptos básicos en KyLua.</li> 	<li>Cinema Look Lashes: el tratamiento de pestañas de extensión por KyLua.</li> </ul>";
        testo_pagina_chisiamo_paraagrafo_4 = "<strong>Certificaciones</strong><br /> Toda la producción KyLua tiene certificación europea de conformidad normas ISO 9001: 2008 e ISO 22716: 2008.<br /> Los certificados, con el N ° 10749 AACVPR 70 referente a los siguientes procesos, productos y servicios: <ul> <li>ISO 9001: 2008 ISO 9001 Significa que la empresa tiene una estructura bien definida por la organización y los manuales de calidad, procedimientos, instrucciones y registro de calidad, etc. El objetivo es asegurar que un producto tienen los requisitos especificados en la normativa, y cada etapa de fabricacion sea documentada, por tanto verificable. Unirse  a la certificación no es obligatoria, pero a menudo es necesaria y considerada requisito fundamental.</li> <li>Comercialización de productos cosméticos y equipos para el sector de los cosméticos.</li> <li>UNI EN ISO 22716 establece las reglas generales para la producción, control, mantenimiento y envío de los productos cosméticos con el fin de garantizar a los clientes el alto nivel de seguridad y sanidad. Estas reglas ofrecen una guía de organización y práctica para la gestión de los recursos humanos, técnicos y administrativos que influencia a la calidad de los productos cosméticos.</li> </ul>"
        testo_pagina_chisiamo_paraagrafo_5 = "Todos los productos KyLua son una <strong>producción exclusivas italiana</strong> creada gracias a la  colaboración de el equipo KyLua con el laboratorio de química R&D.<br /><br /> Todos los geles UV son compuestos <strong>sin níquel y ácido</strong>.";

        testo_pagina_chisiamo_claim =  "STAY TRENDY,<br />STAY UNIQUE,<br />BE KYLUA!";

        //PAGINA NEWS
        testo_pagina_news_scarica_documento = "Descargar el documento";

        //PAGINA CONTATTI
        testo_pagina_contatti_fax = "Fax";
        testo_pagina_contatti_vendite_italia = "Ventas Italia";
        testo_pagina_contatti_vendite_estero = "Ventas en el extranjero";
        testo_pagina_contatti_accademia_formazione = "Academia y Formación";
        testo_pagina_contatti_ufficio_stampa = "Oficina de prensa";
        testo_pagina_contatti_clicca_fb = "Haga clic y sigue la página oficial de KyLua!";

        //PAGINA CERCA
        testo_pagina_ricerca_motore_ricerca  = "Motor de búsqueda";
        testo_pagina_ricerca_inserisci_caratteri_codici  = "Introducir los caracteres o los códigos";
        testo_pagina_ricerca_bottone_cerca  = "BUSCA";
        testo_pagina_ricerca_attenzione_tre_caratteri = "Cuidado! Introducir  una cadena de búsqueda de al menos 3 caracteres";
        testo_pagina_ricerca_risultati_ricerca = "Resultados de la búsqueda";
        testo_pagina_ricerca_nessun_prodotto_trovato = "No hay productos encontrados";

        //PAGINA MY ACCOUNT
        testo_pagina_myaccount_label_username = "Nombre";
        testo_pagina_myaccount_label_password = "Contraseña";
        testo_pagina_myaccount_ricorda = "Requerda los datos de acceso";
        testo_pagina_myaccount_bottone_entra  = "ACCESO";
        testo_pagina_myaccount_non_sei_registrato_1 = '¿No está registrado? <a href="http://www.kylua.it/reg_form/registrazione_form_en.php">AHORRAS REGISTRANDOTE!</a>';
        //testo_pagina_myaccount_non_sei_registrato_2 = "AHORRAS REGISTRANDOTE!";
        testo_pagina_myaccount_con_la_registrazione = "Con la inscripción: puede ver los precios - envíar los pre-pedidos  - acumular puntos. Comience a ahorrar: con los puntos puede recibir productos gratis!";
        testo_pagina_myaccount_leggi_regolamento = "Lea las reglas";
        testo_pagina_myaccount_utente_non_riconosciuto = "El usuario no reconocido. Por favor, inténtelo de nuevo";
        testo_pagina_myaccount_benvenuto = "Bienvenido, inicio de sesión se ha realizado correctamente.";
        testo_pagina_myaccount_distributore = "Distribudor";
        testo_pagina_myaccount_livello = "Nivel";
        testo_pagina_myaccount_punti = "Puntos";
        testo_pagina_myaccount_visualizza_contenuti_riservati = "VER EL CONTENIDO RESERVADO";
        testo_pagina_myaccount_utente_loggato  = "Usuario conectado";
        testo_pagina_myaccount_logout  = "CIERRA LA SESSION";

        //PAGINA PRODOTTO
        testo_pagina_prodotto_cod  = "Cod.";
        testo_pagina_prodotto_tit  = "Tit.";
        testo_pagina_prodotto_rif  = "Ref.";
        testo_pagina_prodotto_var  = "Var.";
        testo_pagina_prodotto_not  = "Not.";
        testo_pagina_prodotto_qnt  = "Cant.";
        testo_pagina_prodotto_prezzo  = "Precio";
        testo_pagina_prodotto_tendina_quantita  = "Cantidad";
        testo_pagina_prodotto_bottone_compra  = "COMPRAR";
        testo_pagina_prodotto_nota_prezzo  = "Lista de precio de venta recomendado sin impuestos";

        //PAGINA CARRELLO
        testo_pagina_carrello_shopping_cart = "Carrito de compra";
        testo_pagina_carrello_cod  = "Cod.";
        testo_pagina_carrello_prezzo  = "Precio";
        testo_pagina_carrello_qnt  = "Cant.";
        testo_pagina_carrello_sei_sicuro_elimina = "Seguro que quieres eliminar el tema de la cesta?";
        testo_pagina_carrello_sei_sicuro_conferma = "Confirmar eliminación";
        testo_pagina_carrello_ok = "BUENO";
        testo_pagina_carrello_sei_sicuro_annulla = "Cancelar";
        testo_pagina_carrello_sei_sicuro_risposta = "El producto se retira de la cesta de la compra";
        testo_pagina_carrello_prodotto_aggiunto_1 = "El producto";
        testo_pagina_carrello_prodotto_aggiunto_2 = "ha sido añadido a su carrito";
        testo_pagina_carrello_voglio_utilizzare_punti = "Quiero usar mis puntos";
        testo_pagina_carrello_note = "Notas";
        testo_pagina_carrello_bottone_invia_preordine = "ENVIAR PREORDEN";
        testo_pagina_carrello_carrello_vuoto = "Su carrito decompra está vacía";

        //PAGINA CONFERMA ORDINE
        testo_pagina_ordine_confermato = "Gracias, su pedido ha sido enviado correctamente";
        testo_pagina_ordine_articoli_non_disponibili_1 = "Los artículos:";
        testo_pagina_ordine_articoli_non_disponibili_2 = "que no están disponibles";
        testo_pagina_ordine_totale_ordine = "total del pedido";
        testo_pagina_ordine_errore_generico= "Atención, que era un error. El pedido no se transmite. Por favor, inténtelo de nuevo";
        testo_pagina_ordine_errore_articolo = "Atención! Los productos que ya no están disponibles. Para que no se transmite";


   }

   //FRANCESE
    if (localStorage.getItem("lingua") == "fr"){
            lingua = "FR";
           //MESSAGGI GENERICI
           alertConnessione_1 = "Pour utiliser l'application, une connexion Internet est nécessaire.";
           alertConnessione_2 = "Erreur de chargement des données. Une connexion Internet est nécessaire pour utiliser l'application.";
           //VOCI MENU PRINCIPALE E TITOLI PAGINE
           voce_menu_chisiamo = "LA SOCIETE";
           voce_menu_news = "NOUVELLES";
           voce_menu_prodotti = "PRODUITS";
           voce_menu_gallery = "GALERIE";
           voce_menu_myaccount = "MON COMPTE";
           voce_menu_contatti = "CONTACTS";

            //PAGINA CHI SIAMO
            testo_pagina_chisiamo_introduzione = "Quand la beauté rencontre l'haute qualité italienne, voici la création d'un style authentique. Le style inimitable KyLua.";

           testo_pagina_chisiamo_paraagrafo_1 = "KyLua est une entreprise de fabrication de gels UV et vernis à ongles, marque <strong>MADE IN ITALY</strong> estimé pour ses produits de haute qualité dans le domaine de la reconstruction ongles et traitements de beauté des mains et des pieds. La méthode KyLua est connue internationalement surtout pour la résistance exceptionnelle et la luminosité de son gel. Elle diffère depuis toujours <strong>pour le manque absolu de nickel et de l'acide méthacrylique</strong>.<br /><br /> Le processus de production de qualité supérieure a permis l'obtention de certifications importantes en étant conformes aux règlementations pour la conception, la fabrication et la commercialisation de résines, produits cosmétiques et des équipements pour le secteur de la beauté de reconstruction ongles.<br /><br />Elle offre une gamme complète d'outils et équipements pour réaliser au mieux et d'une manière professionnelle les activités de onyco-technicien; il offre aussi une ligne de produits cosmétiques, crèmes et vernis à ongles pour les clients qui veulent maintenir la beauté des mains aussi au dehors du salon de beauté. KyLua est engagée à la formation et la mise à jour constante à tous les niveaux, des femmes  professionnelles de chaque secteur à celles qui abordent pour la première fois le monde ongle. En outre, afin de garantir une connaissance complète et mise à jour de sa méthode, elle assure aux techniciennes un soutien continu pour la vie professionnelle.";

           testo_pagina_chisiamo_paraagrafo_2 = "<strong>Histoire</strong><br /> KyLua est née en 2002 depuis vingt ans d'expérience dans le domaine de composites de photopolymérisation en dentisterie. Toute de suite elle crée et produit ses gels UV grâce à l'étude et au travail continu du Laboratoire de recherche et de développement et au soutien technique des chimistes, des consultants et des onyco-techniciennes. <br /><br />L'équipe et le personnel technique collaborent et se comparent pour rejoindre résultats de haut niveau et pour pouvoir répondre aux désirs et satisfaire les besoins des clients et des professionnels du secteur. L' innovation continue des processus de la production et l'étude de composites nouveaux permet le renouvellement continu de la ligne des produits UV gels e  l'élargissement constant de la gamme de couleurs afin de vivre avec la tendance de la mode du moment.";

           testo_pagina_chisiamo_paraagrafo_3 = "<strong>Lignes</strong><br />Au cours du temps KyLua a développé diverses lignes de produits pour pouvoir répondre à 360 ° aux diverses et différentes exigences.  Pour chaque exigence il y a une gamme complète et spécifique des produits appropriés pour satisfaire les désirs de chaque femme ou personne professionelle du secteur: <ul> 	<li>KyLua Pro: ligne professionnelle complète; tout ce qui sert pour réaliser avec compétence le travail de onyco-technicien.</li> 	<li>KyLac: le vernis à ongles UV KyLua. 3 systèmes d'application / enlèvement: KyLac Pro, double utilisation et KyFly. Vous pouvez choisir votre préféré ...</li> 	<li>KyLua détail: vernis à ongles traditionnels, ligne de crèmes, produits et instruments pour la manucure. Affichages et exposants. La ligne pour la beauté des mains au dehors du centre nails/ongles.</li> 	<li>Matériel professionnel: KyLua a choisi Klinic.</li> 	<li>KyLua Mode: A bas les uniformes! L'élégance et l'originalité sont concepts de base dans KyLua.</li> 	<li>Cinéma Look Lashes: le traitement d'extension cils par KyLua.</li> </ul>";

           testo_pagina_chisiamo_paraagrafo_4 = "<strong>Certifications</strong><br /> Toute production de gel UV KyLua est conforme aux <strong>réglementations européennes</strong> de référence et a la certification de conformité aux normes ISO 9001: 2008 et ISO 22716: 2008.<br />   Les certificats, avec le N ° 10749 et ACVPR 70 se réfèrent aux suivants processus et produits/ services: <ul> <li> ISO 9001: 2008 Être certifiés ISO 9001 signifie avoir au sein de l'entreprise un système d'organisation bien défini et documenté avec manuels de qualité, procédures, instructions, documents d'enregistrement de qualité, etc. L'objectif est d'assurer qu'aucun produit est conforme aux exigences specifiées dans les règlements, et toute étape du traitement est documentée donc vérifiable. L'adoption de la certification n'est pas obligatoire, mais en fait elle est souvent nécessaire et considérée comme exigence fondamentale.</li> <li> Commercialisation de produits cosmétiques et de l'équipement pour l'industrie des cosmétiques - Marketing  of cosmetic products and equipments for cosmetic industry. </li> <li> UUNI EN ISO 22716 fixe les lignes directrices pour la production, le contrôle, le stockage et l'expédition des produits cosmétiques dans le but d'assurer au consommateur  les normes les plus élevées en matière de sécurité, de santé et de l'hygiène. Ces lignes directrices fournissent des orientations organisationnelles et pratiques pour la gestion des ressources humaines, techniques et administratives affectant la qualité des produits cosmétiques.</li> </ul>"

           testo_pagina_chisiamo_paraagrafo_5 = "Tous les produits KyLua sont une <strong>production italienne</strong> exclusive crée par la collaboration de l'équipe KyLua avec les chimistes du Laboratoire R&D.<br /><br /> Tous les COMPOSITES UV sont gels <strong>SANS Nickel et Acide</strong>.";

           testo_pagina_chisiamo_claim =  "ETRE EN VOGUE,<br />ETRE UNIQUES,<br />ETRE  KYLUA!";


           //PAGINA NEWS
           testo_pagina_news_scarica_documento = "Télécharger le document";

           //PAGINA CONTATTI
           testo_pagina_contatti_fax = "Fax";
           testo_pagina_contatti_vendite_italia = "Ventes Italie";
           testo_pagina_contatti_vendite_estero = "Ventes à l'étranger";
           testo_pagina_contatti_accademia_formazione = "Académie et formation";
           testo_pagina_contatti_ufficio_stampa = "Bureau de presse";
           testo_pagina_contatti_clicca_fb = "Cliquez et suivez la page officielle de KyLua!";

           //PAGINA CERCA
           testo_pagina_ricerca_motore_ricerca  = "Moteur de recherche";
           testo_pagina_ricerca_inserisci_caratteri_codici  = "Entrez les caractères ou les codes";
           testo_pagina_ricerca_bottone_cerca  = "TROUVEZ";
           testo_pagina_ricerca_attenzione_tre_caratteri = "Entrez soigneusement une chaîne de recherche d'au moins 3 caractères";
           testo_pagina_ricerca_risultati_ricerca = "Résultats de la recherche";
           testo_pagina_ricerca_nessun_prodotto_trovato = "Aucun produit n'a été trouvé";

           //PAGINA MY ACCOUNT
           testo_pagina_myaccount_label_username = "Nom de l’utilisateur";
           testo_pagina_myaccount_label_password = "Mot de passe";
           testo_pagina_myaccount_ricorda = "Rappelez-vous vos informations de connexion";
           testo_pagina_myaccount_bottone_entra  = "ENTREZ";
           testo_pagina_myaccount_non_sei_registrato_1 = 'Vous n\'êtes pas inscrits? <a href="http://www.kylua.it/reg_form/registrazione_form_en.php">INSCRIVEZ-VOUS ET EPARGNEZ!</a>';
           //testo_pagina_myaccount_non_sei_registrato_2 = "INSCRIVEZ-VOUS ET EPARGNEZ!";
           testo_pagina_myaccount_con_la_registrazione = "Avec l'enregistrement: visualisez les prix - envoyez les préordres- accumulez points. Les épargnes commencent: avec les points vous pourrez recevoir des produits gratuits!";
           testo_pagina_myaccount_leggi_regolamento = "Lisez les règles";
           testo_pagina_myaccount_utente_non_riconosciuto = "Utilisateur non reconnu. S'il vous plaît essayer à nouveau";
           testo_pagina_myaccount_benvenuto = "Bienvenue, connexion a été faite correctement.";
           testo_pagina_myaccount_distributore = "Distributeur";
           testo_pagina_myaccount_livello = "Niveau";
           testo_pagina_myaccount_punti = "Points";
           testo_pagina_myaccount_visualizza_contenuti_riservati = "VOIR LE CONTENU RÉSERVÉS";
           testo_pagina_myaccount_utente_loggato  = "Utilisateur connecté";
           testo_pagina_myaccount_logout  = "SE DÉCONNECTER";

           //PAGINA PRODOTTO
           testo_pagina_prodotto_cod  = "Cod.";
           testo_pagina_prodotto_tit  = "Tit.";
           testo_pagina_prodotto_rif  = "Réf.";
           testo_pagina_prodotto_var  = "Var.";
           testo_pagina_prodotto_not  = "Non.";
           testo_pagina_prodotto_qnt  = "Qté.";
           testo_pagina_prodotto_prezzo  = "Prix";
           testo_pagina_prodotto_tendina_quantita  = "Quantité";
           testo_pagina_prodotto_bottone_compra  = "ACHETEZ";
           testo_pagina_prodotto_nota_prezzo  = "Liste prix de détail suggéré sans TVA";

           //PAGINA CARRELLO
           testo_pagina_carrello_shopping_cart = "Panier";
           testo_pagina_carrello_cod  = "Cod.";
           testo_pagina_carrello_prezzo  = "Prix";
           testo_pagina_carrello_qnt  = "Qté.";
           testo_pagina_carrello_sei_sicuro_elimina = "Êtes-vous sûr de vouloir supprimer l'article du panier?";
           testo_pagina_carrello_sei_sicuro_conferma = "Confirmer supprimer";
           testo_pagina_carrello_ok = "BIEN";
           testo_pagina_carrello_sei_sicuro_annulla = "Annuler";
           testo_pagina_carrello_sei_sicuro_risposta = "le produit a été enlevé du votre panier";
           testo_pagina_carrello_prodotto_aggiunto_1 = "Le produit ";
           testo_pagina_carrello_prodotto_aggiunto_2 = "a été ajouté à votre panier";
           testo_pagina_carrello_voglio_utilizzare_punti = "Je veux utiliser mes points";
           testo_pagina_carrello_note = "Remarques";
           testo_pagina_carrello_bottone_invia_preordine = "ENVOYEZ LA PRÉCOMMANDE";
           testo_pagina_carrello_carrello_vuoto = "Votre  panier est encore vide";

           //PAGINA CONFERMA ORDINE
           testo_pagina_ordine_confermato = "Merci, votre commande a été envoyée correctement";
           testo_pagina_ordine_articoli_non_disponibili_1 = "Le produit:";
           testo_pagina_ordine_articoli_non_disponibili_2 = "ne sont pas disponibles";
           testo_pagina_ordine_totale_ordine = "Ordre total";
           testo_pagina_ordine_errore_generico= "Attention, il était une erreur. Commandez non transmis. S'il vous plaît essayer à nouveau";
           testo_pagina_ordine_errore_articolo = "Attention! Articles ne sont plus disponibles. afin de ne pas transmettre";


    }
	
	caricaMenu();
}



// *********************************** //
// **********    PRODOTTI    **********
// *********************************** //

function caricaCategorieDaAccount (){
   $('div.pagina').addClass('logo');
   $('#loginResult').hide();
   caricaCategorie ();
}


function caricaCategorie (){
	$('#menuHome').hide();
	$('#bandierine').hide();
    if (livello == 1) {document.addEventListener("backbutton", onBackKeyDown, false);}
    if (device.platform.indexOf("iPhone")>-1 || device.platform.indexOf("iOS")>-1) {
            $('#btnBack').show();
        }
    $('#percorso').hide();
    $(document).ready(function () {
        livello = 2;
		$('body,html').animate({scrollTop:0},500);
    	//console.log("livello:" + livello);
    	$('#prodotti').html('');
    	$('#listacat').children().remove('li'); 
        $('#listacat').show();
        //$('#percorso').show();
    	sotto = 0;
    	$('body').append('<div id="progress">Loading...</div>');
    	console.log("CONSOLLE: success 'http://www.kylua.it/br_gest/nowhere/categorie.php?debug=1&idLingua="+lingua+"&idCategoria=0");
        //POST
    	$.ajax({
    		type: "POST",
    		url: "http://www.kylua.it/br_gest/nowhere/categorie.php",
     		data: "idLingua="+lingua+"&idCategoria=0",
            //timeout: 5000,
            success: function (data, status) {
                var datiparsati = jQuery.parseJSON(data);
                $.each(datiparsati, function (i, item) {           
					if (item.sc == 0 ) {
    					$("#outputInternal ul#listacat").append('<li><a onclick=caricaTitoli('+ item.id +',1) >'+ item.n +'</a>');     
    				}
					else {
    					$("#outputInternal ul#listacat").append('<li><a onclick=caricaSottoCat('+ item.id +',1) >'+ item.n +'</a>');			
    				}	
                });
                $('#outputInternal ul#listacat').listview('refresh');
    			$('#progress').remove();
            },
            error: function (xhr, status, error) {
                //alert('Error: '+ xhr.status+ ' - '+ error); 
                $('#progress').remove();
                navigator.notification.alert(alertConnessione_2,alertApp);
            }
        });
    });
}


function caricaSottoCat (idcat,liv){
	$('div.pagina').removeClass('logo');
	$('#menuHome').hide();
	$('#bandierine').hide();
	$('#listacat').hide();
	switch (liv) {
		case 1:
			sotto = 3;
			break;
		case 2: 
			$('#listasottocat3').hide();
			sotto = 4;
			break;
		case 3: 
			$('#listasottocat3').hide();
			$('#listasottocat4').hide();
			sotto = 5;
			break;
		case 4: 
			$('#listasottocat3').hide();
			$('#listasottocat4').hide();
			$('#listasottocat5').hide();
			sotto = 6;
			break;	
		default:
	}
	
    $(document).ready(function () {
		livello = liv + 2;
		idliv = liv + 1;
		$('#prodotti').html('');
		$('#listasottocat'+livello).children().remove('li'); 
        $('#listasottocat'+livello).show();
		$('#percorso').show();
        $('body').append('<div id="progress">Loading...</div>');
        console.log("CONSOLLE: success http://www.kylua.it/br_gest/nowhere/categorie.php?debug=1&idLingua="+lingua+"&idCategoria="+liv+"&selCategoria="+idcat);
        $.ajax({
        	type: "POST",
        	url: "http://www.kylua.it/br_gest/nowhere/categorie.php",
        	data: "idLingua="+lingua+"&idCategoria="+liv+"&selCategoria="+idcat,
            //timeout: 5000,
            success: function (data, status) {
            	var datiparsati = jQuery.parseJSON(data);
				$.each(datiparsati, function (i, item) {           
					if (item.id == 0) {        
						if (liv==1) {nomecate = item.nomecat};
						if (liv==2) {nomesottocate1 = item.nomecat};
						if (liv==3) {nomesottocate2 = item.nomecat};
						if (liv==4) {nomesottocate3 = item.nomecat};
						if (liv==5) {nomesottocate4 = item.nomecat};
						$('#percorso').html('');
						$('#percorso').append( item.nomecat );
							
					} else {   
						if (item.sc == 0) {
							$("#outputInternal ul#listasottocat"+livello).append('<li><a onclick=caricaTitoli('+ item.id +','+ liv +') >'+ item.n +'</a>');     
						}
						else
						{
							$("#outputInternal ul#listasottocat"+livello).append('<li><a onclick=caricaSottoCat('+ item.id +','+ idliv +') >'+ item.n +'</a>');			
						}	
					}
                });
               $('#outputInternal ul#listasottocat'+livello).listview('refresh');
			   $('#progress').remove();
            },
            error: function () {
               $('#progress').remove();
               navigator.notification.alert(alertConnessione_2,alertApp);
            }
        });
    });
}

function caricaTitoli (idcat,liv){
	
	$('#menuHome').hide();
	$('#bandierine').hide();
	$('#formRicerca').hide();
	$('#listacerca').hide();
	$('#listacat').hide();
	$('#listasottocat3').hide();
	$('#listasottocat4').hide();
	$('#listasottocat5').hide();
	$('#listasottocat6').hide();
    $(document).ready(function () {
		livello = 7;
		$('body,html').animate({scrollTop:0},500);       
		$('#prodotti').html('');
		$('#listatit').children().remove('li'); 
        $('#listatit').show();
		$('#percorso').show();
        $('body').append('<div id="progress">Loading...</div>');
        console.log("CONSOLLE: success http://www.kylua.it/br_gest/nowhere/titoli.php?debug=1&idLingua="+lingua+"&idCategoria="+liv+"&selCategoria="+idcat);
        $.ajax({
        	type: "POST",
        	url: "http://www.kylua.it/br_gest/nowhere/titoli.php?idLingua="+lingua,
        	data: "idLingua="+lingua + "&idCategoria="+liv+"&selCategoria="+idcat,
            //timeout: 5000,
            success: function (data, status) {

            	var datiparsati = jQuery.parseJSON(data);
				$.each(datiparsati, function (i, item) {           
					if (item.id == 0) {        
						nomepercorsotit = item.nomecat;
						$('#percorso').html('');
						$('#percorso').append( item.nomecat );
						console.log("CONSOLLE: titoli " + nomepercorsotit);
							
					} else {   
						$("#outputInternal ul#listatit").append('<li><a onclick=caricaProdInternal('+ item.id +') ></a><img class="foto-tit" src="http://www.kylua.it/br_gest/'+ item.img +'"><p><strong>'+ item.n +'</strong><br>'+ item.d + '</p></li>');
						console.log("CONSOLLE: titoli " + item.n);
					}
                });
               //$('#outputInternal ul#listatit').listview('refresh');
			   $('#progress').remove();
            },
            error: function () {
               $('#progress').remove();
               navigator.notification.alert(alertConnessione_2,alertApp);
            }
        });
    });
}

function myZoom(imgLarge) {
	  //alert("http://www.kylua.it/br_gest/img_articoli/"+imgLarge);
	  $("#prodotti").append( "<div class='zoom'><img src='http://www.kylua.it/br_gest/" + imgLarge +"'><div class='close'></div></div>" );
		$(".close").click(function(){
			 $(this).parent().remove();
	 });
 };

function caricaProdInternal(idtit){
	$(document).ready(function(){
	    $('body').append('<div id="progress">Loading...</div>');

	    $('#listacat').hide();
	   $('#listasottocat3').hide();
		$('#listasottocat4').hide();
		$('#listasottocat5').hide();
		$('#listasottocat6').hide();
		$('#listatit').hide();
		$('#listacerca').hide();
		$('#percorso').html('');
		$('#percorso').show();
		livello = 8;
		//console.log("livello:" + livello);
	    $('#prodotti').html(''); 
		$('#prodotti').show();
		selectValues = { "1": testo_pagina_prodotto_tendina_quantita + " 1"};
		for (var j=2;j<=50;j++)
		{ 
		selectValues[j] = testo_pagina_prodotto_tendina_quantita + " " + j;
		}
		console.log("CONSOLLE: success http://www.kylua.it/br_gest/nowhere/articoli.php?debug=1&idLingua="+lingua+"&idTitolo="+idtit+"&lis="+sessionStorage.getItem("listino"));

		$.ajax({			
			type: "POST",
        	url: "http://www.kylua.it/br_gest/nowhere/articoli.php",
        	data: "idLingua="+lingua + "&idTitolo="+idtit+"&lis="+sessionStorage.getItem("listino"),
			success: function(data, status){
				var datiparsati = jQuery.parseJSON(data);
				$.each(datiparsati, function(i,item){
				    if (item.id == 0) {        
						nometit = item.nometit
				    	$('#percorso').append(item.nometit );
                        $('#percorso').addClass('scheda');				    	
				    	$('#percorso').append("<span>"+item.desctit+"</span>" );
					}
					else {
						var nomecarrello = nometit+"#" + item.r+"#" + item.p ;
						var imgZoom =  item.img.replace(".jpg","@2x.jpg");
					    var landmark = "<div class='art'><img class='foto-prd' src='http://www.kylua.it/br_gest/" + item.img + "'  onclick=myZoom('"+imgZoom+"')>";
					    landmark = landmark + "<p>" + testo_pagina_prodotto_cod + " <strong>" + item.c + "</strong> <br>" + testo_pagina_prodotto_tit + ". <strong>"+nometit+"</strong><br>";
					    landmark = landmark + testo_pagina_prodotto_rif + " <strong class='nero'>" + item.r + "</strong><br>";
					    landmark = landmark + testo_pagina_prodotto_var + " <strong class='nero'>" + item.v + "</strong><br>";
					    landmark = landmark + testo_pagina_prodotto_not + " <strong class='nero'>" + item.n + "</strong><br>";
					    landmark = landmark + testo_pagina_prodotto_qnt + " <strong class='nero'>" + item.q + "</strong><br>";
					    if (sessionStorage.getItem("idUtente")>0) {
							landmark = landmark + testo_pagina_prodotto_prezzo;
							if (sessionStorage.getItem("listino")==0) {landmark = landmark + "*";}
							landmark = landmark + " <strong>" + item.p + "</strong></p>";
							landmark = landmark + '<select id="qta'+i+'" name="qta'+i+'">';
							landmark = landmark + '</select>';
							landmark = landmark + '<a class="dettagli ui-btn ui-btn-inline ui-shadow ui-btn-corner-all ui-mini ui-btn-up-c" onclick="';
							landmark = landmark + "compra('" + item.id + "','" + item.c + "', '" + nomecarrello.replace("'","&lsquo;") + "', '"+ i +"')";
							landmark = landmark + '">'+testo_pagina_prodotto_bottone_compra+'</a>';
						}
						landmark = landmark + "</div>";	
						$('#prodotti').append(landmark);
						$.each(selectValues, function(key, value) {   
							 $('#qta' + i)
								  .append($('<option>', { value : key })
								  .text(value));

						});
					}



				});
				$('#progress').remove();
				if (sessionStorage.getItem("listino")==0) {$('#prodotti').after("<p class='nota'>* "+testo_pagina_prodotto_nota_prezzo+"</p>");}
			},
			error: function(){
	            $('#progress').remove();
	            navigator.notification.alert(alertConnessione_2,alertApp);
			}
		});
	});
}

// *********************************** //
// **********    RICERCA    **********
// *********************************** //
function caricaRicerca() {
	if (livello == 1) {document.addEventListener("backbutton", onBackKeyDown, false);}
	$(document).ready(function(){
		livello = 2;

		//ASSEGNAZIONE AD HHML DELLE VARIABILI LINGUA
        $('#testo_pagina_ricerca_inserisci_caratteri_codici').html(testo_pagina_ricerca_inserisci_caratteri_codici);
        $('#testo_pagina_ricerca_bottone_cerca').html(testo_pagina_ricerca_bottone_cerca);
        $('#percorso').html(testo_pagina_ricerca_motore_ricerca);

		$('div.pagina').removeClass('logo');
		$('#percorso').show();
		$('#formRicerca').show();
		$('#formAccount').hide();
        $('#loginResult').hide();
        $('#carrelloDiv').hide();
		$('#contatti').hide();
		$('#chisiamo').hide();
		$('#listanews').hide();
		$('#listagallery').hide();
		$('#menuHome').hide();
		$('#bandierine').hide();
		$('#listacat').hide();
		$('#listasottocat3').hide();
		$('#listasottocat4').hide();
		$('#listasottocat5').hide();
		$('#listasottocat6').hide();
		$('#listatit').hide();
		$('#prodotti').hide();
		$('.nota').html('');
		$('#listacerca').hide();
		if (device.platform.indexOf("iPhone")>-1 || device.platform.indexOf("iOS")>-1) {
            $('#btnBack').show();
        }
    });
}

function caricaRisultati() {
	$('div.pagina').removeClass('logo');
	$('#formRicerca').hide();
	$('#menuHome').hide();
	$('#bandierine').hide();
	$('#contatti').hide();
	$('#chisiamo').hide();
	$('#listacat').hide();
	$('#listasottocat3').hide();
	$('#listasottocat4').hide();
	$('#listasottocat5').hide();
	$('#listasottocat6').hide();
	$('#listatit').hide();
	$('#listacerca').hide();
	$('#prodotti').hide();
	$('.nota').html('');
	if (livello == 1) {document.addEventListener("backbutton", onBackKeyDown, false);}
    if (device.platform.indexOf("iPhone")>-1 || device.platform.indexOf("iOS")>-1) {
            $('#btnBack').show();
        }
    
    $(document).ready(function () {
		livello = 11;
		$('#risultati').html('');
		$('#listacerca').children().remove('li'); 
        $('#listacerca').show();
		$('#percorso').show();
		rictxt = $('#stringa').val().trim();
		if (rictxt.length<3) {
			navigator.notification.alert(testo_pagina_ricerca_attenzione_tre_caratteri, caricaRicerca);
			}
		else {
			$('body').append('<div id="progress">Loading...</div>');
			 console.log("CONSOLLE: success http://www.kylua.it/br_gest/nowhere/trovatitoli.php?debug=1&idLingua="+lingua+"&RICERCA="+rictxt);

			$.ajax({
				type: "POST",
				url: "http://www.kylua.it/br_gest/nowhere/trovatitoli.php",
				data: "RICERCA="+rictxt+"&idLingua="+lingua,
				//timeout: 5000,
				success: function (data, status) {
					var datiparsati = jQuery.parseJSON(data);
					$('#percorso').html(testo_pagina_ricerca_risultati_ricerca);
					$.each(datiparsati, function (i, item) {           
						if (item.id == 0) {  
							$('#percorso').append("<span style='text-align:center;padding-top:20px'>"+testo_pagina_ricerca_nessun_prodotto_trovato+"</span>");
						} else {
							$("#outputInternal ul#listacerca").append('<li><a onclick=caricaProdRisultati('+ item.id +') ></a><img class="foto-tit" src="http://www.kylua.it/br_gest/'+ item.img +'"><p><strong>'+ item.n +'</strong><br>'+ item.d + '</p></li>');  
						}      
					});
				   //$('#outputInternal ul#listacerca').listview('refresh');
				   $('#progress').remove();
				},
				error: function () {
				   $('#progress').remove();
				   navigator.notification.alert(alertConnessione_2,alertApp);
				}
			});
		}
    });
}
function caricaProdRisultati(idtit){
	$(document).ready(function(){
	    $('body').append('<div id="progress">Loading...</div>');
	    if (device.platform.indexOf("iPhone")>-1 || device.platform.indexOf("iOS")>-1) {
        	        $('#btnBack').show(); //btnTop
        	    }
		$('#listacerca').hide();
		$('#contatti').hide();
		$('#chisiamo').hide();
		$('#percorso').html('');
		$('#percorso').show();
		$('#prodotti').html(''); 
		$('#prodotti').show();
		livello = 12;
		//console.log("livello:" + livello);
	    
		selectValues = { "1": testo_pagina_prodotto_tendina_quantita + " 1"};
		for (var j=2;j<=50;j++)
		{ 
		selectValues[j] = testo_pagina_prodotto_tendina_quantita + " " + j;
		}
		
		$.ajax({			
			type: "POST",
        	url: "http://www.kylua.it/br_gest/nowhere/articoli.php",
        	data: "idLingua="+lingua+"&idTitolo="+idtit+"&lis="+sessionStorage.getItem("listino"),
			success: function(data, status){
				var datiparsati = jQuery.parseJSON(data);
				$.each(datiparsati, function(i,item){
				    if (item.id == 0) {        
						nometit = item.nometit
				    	$('#percorso').append(item.nometit );
                        $('#percorso').addClass('scheda');				    	
				    	$('#percorso').append("<span>"+item.desctit+"</span>" );
					}
					else {
						var nomecarrello = nometit+"#" + item.r+"#" + item.p ;
						var imgZoom =  item.img.replace(".jpg","@x2.jpg");
					    var landmark = "<div class='art'><img class='foto-prd' src='http://www.kylua.it/br_gest/" + item.img + "' onclick=myZoom('"+imgZoom+"')>";
					    landmark = landmark + "<p>Cod. <strong>" + item.c + "</strong> <br>Tit. <strong>"+nometit+"</strong><br>";
					    landmark = landmark + "Rif. <strong class='nero'>" + item.r + "</strong><br>";
					    landmark = landmark + "Var. <strong class='nero'>" + item.v + "</strong><br>";
					    landmark = landmark + "Not. <strong class='nero'>" + item.n + "</strong><br>";
					    landmark = landmark + "Qnt. <strong class='nero'>" + item.q + "</strong><br>";
					    if (sessionStorage.getItem("idUtente")>0) {
							landmark = landmark + "Prezzo";
							if (sessionStorage.getItem("listino")==0) {landmark = landmark + "*";}
							landmark = landmark + ": <strong>" + item.p + "</strong></p>";
							landmark = landmark + '<select id="qta'+i+'" name="qta'+i+'">';
							landmark = landmark + '</select>';
							landmark = landmark + '<a class="dettagli ui-btn ui-btn-inline ui-shadow ui-btn-corner-all ui-mini ui-btn-up-c" onclick="';
							landmark = landmark + "compra('" + item.id + "','" + item.c + "', '" + nomecarrello.replace("'","&lsquo;") + "', '"+ i +"')";
							landmark = landmark + '">compra</a>';
						}
						landmark = landmark + "</div>";	
						$('#prodotti').append(landmark);
						$.each(selectValues, function(key, value) {   
							 $('#qta' + i)
								  .append($('<option>', { value : key })
								  .text(value)); 
						});
					}
				});
				$('#progress').remove();
				if (sessionStorage.getItem("listino")==0) {$('#prodotti').after("<p class='nota'>* "+testo_pagina_prodotto_nota_prezzo+"</p>");}
			},
			error: function(){
	            $('#progress').remove();
	            navigator.notification.alert(alertConnessione_2,alertApp);
			}
		});
	});
}


// *********************************** //
// *********    MY ACCOUNT    *********
// *********************************** //


function mostraAccount() {
	if (livello == 1) {
            document.addEventListener("backbutton", onBackKeyDown, false);
    }
    if (device.platform.indexOf("iPhone")>-1 || device.platform.indexOf("iOS")>-1) {
            $('#btnBack').show();
        }
	livello = 9;

	//ASSEGNAZIONE AD HTML DELLE  VARIABILI LINGUA
    $('#testo_pagina_myaccount_label_username').html(testo_pagina_myaccount_label_username);
    $('#testo_pagina_myaccount_label_password').html(testo_pagina_myaccount_label_password);
    $('#testo_pagina_myaccount_ricorda').html(testo_pagina_myaccount_ricorda);
    $('#testo_pagina_myaccount_bottone_entra').html(testo_pagina_myaccount_bottone_entra);
    $('#testo_pagina_myaccount_non_sei_registrato_1').html(testo_pagina_myaccount_non_sei_registrato_1);
//    $('#testo_pagina_myaccount_non_sei_registrato_2').html(testo_pagina_myaccount_non_sei_registrato_2);
    $('#testo_pagina_myaccount_con_la_registrazione').html(testo_pagina_myaccount_con_la_registrazione);
    $('#testo_pagina_myaccount_leggi_regolamento').html(testo_pagina_myaccount_leggi_regolamento);
    $('#percorso').html(voce_menu_myaccount);


    $('div.pagina').removeClass('logo');
    $('#menuHome').hide();
    $('#bandierine').hide();
    $('#percorso').show();
    if (sessionStorage.getItem("idUtente")>0) {
        //$('#linkhome').bind("click", caricaMenu);
		$('#formAccount').hide();
        $('#loginResult').show();
		$('#loginResult').html("<p>"+testo_pagina_myaccount_utente_loggato+".</p>");
		$('#loginResult').append("<p>"+testo_pagina_myaccount_distributore+": "+ distrut +"<br>"+testo_pagina_myaccount_livello+": "+ livut +"<br>"+testo_pagina_myaccount_punti+": "+ptiut+"</p>");
		$('#loginResult').append("<a class='telefono' href='#' onclick='logout()'>"+testo_pagina_myaccount_logout+"</a>");
    } else {
		//dati su local storage
		$('#formAccount').show();
        $('#loginResult').hide();
		$('#user').val(localStorage.getItem("login"));
		$('#pwd').val(localStorage.getItem("pwd"));
	}
}

function logout(){
	sessionStorage.setItem("idUtente", "");
    sessionStorage.setItem("checkpti", "");
    sessionStorage.setItem("listino", "");
    $('#linkcarrello').hide();
	$('#formAccount').show();
    $('#loginResult').hide();
    $('#user').val(localStorage.getItem("login"));
    $('#pwd').val(localStorage.getItem("pwd"));
}


function login(){
	fusd = $('#user').val().trim();
	fpwd = $('#pwd').val().trim();
	var isChecked = $('#checkbox-1').is(':checked');
	$.ajax({
		type: "POST",
    	url: "http://www.kylua.it/br_gest/nowhere/login.php",
    	data: "usr="+fusd+"&pwd="+fpwd,
		success: function(data, status){
			var datiparsati = jQuery.parseJSON(data);
			$.each(datiparsati, function(i,item){
			    //[{"uid":"124","punti":"125.000","livello":"Silver","distributore":"Br Net snc","check":"0"}]
				var idut = item.uid;
				ptiut = item.punti;
				livut = item.livello;
				distrut = item.distributore;
				//idutente nel sessionStorage
				sessionStorage.setItem("idUtente", idut);
				sessionStorage.setItem("checkpti", item.check);
				sessionStorage.setItem("listino", item.lis);
				//alert("listino:"+sessionStorage.getItem("listino"));
				if (idut == "0") {
					$('#loginResultKO').html(testo_pagina_myaccount_utente_non_riconosciuto);
				}
				else {

					$('#formAccount').hide();
					$('#loginResult').html("<p>"+testo_pagina_myaccount_benvenuto+"</p>");
					$('#loginResult').append("<p>"+testo_pagina_myaccount_distributore+": "+ distrut +"<br>"+testo_pagina_myaccount_livello+": "+livut+"<br>"+testo_pagina_myaccount_punti+": "+ptiut+"</p>");
					$('#loginResult').append("<a href='#' onclick='caricaCategorieDaAccount()' id='sendcatalogo' data-role='button'>"+testo_pagina_myaccount_visualizza_contenuti_riservati+"</a>");
					$('#loginResult').show();
					$('#linkcarrello').show();
					//nel localStorage user e pwd
					//alert("checkbox:"+ isChecked);
					if (isChecked == true) {
						localStorage.setItem("login", fusd);
						localStorage.setItem("pwd", fpwd);
					} else
					 {
						localStorage.setItem("login", "");
						localStorage.setItem("pwd", "");
					}
				}
			});
		},
		error: function(){
			sessionStorage.setItem("idUtente", "0")
			navigator.notification.alert(alertConnessione_2,alertApp);
		}
	});
}




function loginAutomatico(){
	console.log('CONSOLLE: loginAutomatico');
	fusd = localStorage.getItem("login").trim();
	fpwd = localStorage.getItem("pwd").trim();
	if (fusd.length > 0 && fpwd.length > 0 ) {
		$.ajax({
			type: "POST",
			url: "http://www.kylua.it/br_gest/nowhere/login.php",
			data: "usr="+fusd+"&pwd="+fpwd,
			success: function(data, status){
				var datiparsati = jQuery.parseJSON(data);
				$.each(datiparsati, function(i,item){
					//[{"uid":"124","punti":"125.000","livello":"Silver","distributore":"Br Net snc","check":"0"}]
					var idut = item.uid;
					ptiut = item.punti;
					livut = item.livello;
					distrut = item.distributore;
					//idutente nel sessionStorage
					sessionStorage.setItem("idUtente", idut);
					sessionStorage.setItem("checkpti", item.check);
					sessionStorage.setItem("listino", item.lis);
					if (idut == "0") {
						// non faccio niente
					}
					else {
						$('#linkcarrello').show();
					}

				});
			},
			error: function(){
				sessionStorage.setItem("idUtente", "0")
				//navigator.notification.alert(alertConnessione_2,alertApp);
			}
		});
    }
}


// *********************************** //
// ***********    CARRELLO    *********
// *********************************** //


function compra (id, cod, nome, i){
	var l = window.localStorage.length;
	var j = 0;
	var storedArt;	
	var carrelloKey = "art." + id;
	//controllo se gia presente su localstorage
	if (l>0) {
		for (j; j < l; j++) {
			storedArt = window.localStorage.key(j);
			//alert('id='+id+'-storedart='+storedArt);
			if ('art.'+id == storedArt) {
				//sovrascrivo
				window.localStorage.removeItem(storedArt);
				break;
			} 
		}
		window.localStorage.setItem(carrelloKey, cod + "#" + nome + "#" + $('#qta'+i).val());
		navigator.notification.alert(testo_pagina_carrello_prodotto_aggiunto_1 +" " + cod + " " + testo_pagina_carrello_prodotto_aggiunto_2, null, testo_pagina_carrello_shopping_cart, testo_pagina_carrello_ok);
		 console.log('CONSOLLE: creo riga carrello');
	} else {
		navigator.notification.alert(testo_pagina_carrello_prodotto_aggiunto_1 +" " + cod + " "+ testo_pagina_carrello_prodotto_aggiunto_2 ,null, testo_pagina_carrello_shopping_cart,  testo_pagina_carrello_ok);
		window.localStorage.setItem(carrelloKey, cod + "#" + nome + "#" + $('#qta'+i).val());
		 console.log('CONSOLLE: creo prima riga carrello');
	}
}

function cambiaQta (id){
	
	var l = window.localStorage.length;
	var j = 0;
	var storedArt;	
	var carrelloKey = "art." + id;
	var txtArt;
	if (l>0) {
		for (j; j < l; j++) {
			storedArt = window.localStorage.key(j);
			if ('art.'+id == storedArt) {
		
				//sovrascrivo
				txtArt = window.localStorage.getItem(storedArt);
				txtArt = txtArt.substring(0,txtArt.lastIndexOf('#')) + "#" + $('#'+id).val();
				window.localStorage.setItem(carrelloKey, txtArt);
				break;
			} 
		}
		//window.localStorage.setItem(carrelloKey, cod + "#" + nome + "#" + $('#qta'+i).val());
		navigator.notification.alert("Quantita\' modificata!", null,  "Carrello", "OK");
	} 
}


function showArt(valueArt,idArt) {
	    var idArticolo = idArt.replace("art.","");
	    selectValues = { "1": "1"};
		for (var j=2;j<=50;j++)
			{
			selectValues[j] = j;
			}
	 	var newArtItem = document.createElement('li');
	 	arraydati = valueArt.split("#");
	 	rif = "";
	 	if (arraydati[2] != "" ) {rif = ' Rif.' + arraydati[2];}
	 	artHTML = '<p>'+testo_pagina_carrello_cod+': <strong>'+arraydati[0]+ '</strong><br><strong>' + arraydati[1] + rif + '</strong><br>'+testo_pagina_carrello_prezzo+': <strong>' + arraydati[3] + '</strong></p>';
		artHTML = artHTML + '<p>'+testo_pagina_carrello_qnt+': <select name="'+idArticolo+'" id="'+idArticolo+'" onchange=cambiaQta("';
		artHTML = artHTML +idArticolo+'")></select></p> <a onclick=FAlertcancella("'+idArt+'") class=btndelete id=delete>Cancella</a>';
	 	newArtItem.innerHTML = artHTML;
		artList.appendChild(newArtItem);
		$.each(selectValues, function(key, value) {
			$('#'+idArticolo)
				.append($('<option>', { value : key })
				.text(value));
			});
		$('#'+idArticolo).val(arraydati[4]);
		//$('#'+idArticolo).bind("change", cambiaQta(idArticolo));
}


function mostraCarrello() {

    //ASSEGNAZIONE AD HTML DELLE  VARIABILI LINGUA
    $('#testo_pagina_carrello_shopping_cart').html(testo_pagina_carrello_shopping_cart);
    $('#testo_pagina_carrello_voglio_utilizzare_punti').html(testo_pagina_carrello_voglio_utilizzare_punti);
    $('#testo_pagina_carrello_note').html(testo_pagina_carrello_note);

	$('#percorso').hide();
	$('#contatti').hide();
	$('#chisiamo').hide();
	$('#formAccount').hide();
	$('#loginResult').hide();
	$('#listacat').hide();
	$('#listasottocat3').hide();
	$('#listasottocat4').hide();
	$('#listasottocat5').hide();
	$('#listasottocat6').hide();
	$('#prodotti').hide();
	$('.nota').html('');
	$('#listatit').hide();
	$('#listanews').hide();
	$('#listagallery').hide();
	$('#formRicerca').hide();
	$('#listacerca').hide();
	$('#carrelloDiv').show();
	$('#artList').show();
	$('#bottone').hide();
	$('div.pagina').removeClass('logo');
	$('#menuHome').hide();
	$('#bandierine').hide();
	if (livello == 1) {
		document.addEventListener("backbutton", onBackKeyDown, false);
	}
	if (device.platform.indexOf("iPhone")>-1 || device.platform.indexOf("iOS")>-1) {
    	    $('#btnBack').show();
    	}
	livello = 9;

	var l = window.localStorage.length;
	var bottoneview = 0;
	var i = 0;
	var storedArt;
	var artHTML;
	$("#artList").html('');

	for (i; i < l; i++) {
		storedArt = window.localStorage.key(i);
		if (storedArt.match(/^art[.]/)) {
			bottoneview = 1;
			//faccio vedere solo val
			showArt(window.localStorage.getItem(storedArt),storedArt);
		}
	}   
	//aggiungo bottone -- controllo sessionIDUTENTE
	if (bottoneview == 1 && sessionStorage.getItem("idUtente")>0) {
		$('#punti').show();
        $('#blocconote').show();
	    //aggiungo check
		if (sessionStorage.getItem("checkpti") == 1){
			 $('#checkbox2').removeAttr("disabled");
			 console.log('CONSOLLE: abilito checkpti');
		} else {
			 $('#checkbox2').attr("disabled", true);
			  console.log('CONSOLLE: disabilito checkpti');
		}
		$('#bottone').show();
		$('#bottone').html('<a onclick=FinviaDati() class=btn id=invia>'+testo_pagina_carrello_bottone_invia_preordine+'</a>');
	} else {
		//carrello vuoto
		$('#punti').hide();
		$('#msgerrore').hide();
		$('#blocconote').hide();
		$("#artList").html('<li>'+testo_pagina_carrello_carrello_vuoto+'</li>');
	}
}


function FAlertcancella(id) {
	navigator.notification.confirm(
		testo_pagina_carrello_sei_sicuro_elimina,
		function(buttonIndex){
			Fcancella(buttonIndex, id);
	    },
		testo_pagina_carrello_sei_sicuro_conferma,
		[testo_pagina_carrello_ok , testo_pagina_carrello_sei_sicuro_annulla]
	);
}


function Fcancella(btn, id) {
	if (btn == 1) {
		var l = window.localStorage.length;
		var j = 0;
		var storedArt;	
		for (j; j < l; j++) {
			storedArt = window.localStorage.key(j);
			if (id == storedArt) {
				window.localStorage.removeItem(storedArt);
				navigator.notification.alert(testo_pagina_carrello_sei_sicuro_risposta, null, testo_pagina_carrello_shopping_cart, testo_pagina_carrello_ok);
				break;
			} 
		}
		$('#artList').children().remove('li'); 
		mostraCarrello();
	}
}

function FprezzoOK(id) {
	//devo verificare su JSON se id ancora presente e prendere prezzo
	var urlInvio = "http://www.kylua.it/br_gest/nowhere/carrello2.php";
	//DA TOGLIERE ---- SOLO TEST!!
	//if (id==1804) {urlInvio = "http://www.kylua.it/br_gest/nowhere/carrello2aaaaaa.php";}
	$.ajax({			
		type: "POST",
    	url: urlInvio,
    	data: "idLingua="+lingua+"&idArticolo="+id+"&lis="+sessionStorage.getItem("listino"),
		async: false,
		success: function(data, status){
			var datiparsati = jQuery.parseJSON(data);
			$.each(datiparsati, function(i,item){
			    //ATTENZIONE ok=1 MANCA
			    if (item.ok == 0) {       
			    	passaok = 1;
			    	prezzo = item.prezzo;
				}
				else {
					passaok = 0;
					//lo cancello da localstorage ANCHE NO!!
					//window.localStorage.removeItem('art.'+id);
				}
			});
			invioDato = true;
		},
		error: function(){
            invioDato = false;
		}
	});
}


function FinviaDati() {
	$('body').append('<div id="progress">Invio dati...</div>');
	var prezzotot = 0;
	var l = window.localStorage.length;
	var i = 0;
	var ncar = 0;
	var prodottimancanti = "";
	var invioDati = true;
	//controllo SessionIDUTENTE
	if (sessionStorage.getItem("idUtente")>0) {
		//CHECKPUNTI 
		var valChecked = 0;
		var isChecked = $('#checkbox2').is(':checked');
		//alert("checkbox:"+ isChecked);
		if (isChecked == true) {valChecked = 1} 
		//alert("checkpunti:"+ valChecked);
		var notetxt = $('#note').val().trim();
		notetxt = notetxt.replace(/'/g,"\\'");
		//alert("note:"+ notetxt);
		notetxt = notetxt.replace(/"/g,"");
		//alert("note:"+ notetxt);
		var datidapassare = '[{"idUtente":"'+sessionStorage.getItem("idUtente")+'","checkPunti":"'+ valChecked +'","note":"'+ notetxt +'"}';
		for (i; i < l; i++) {
			storedArt = window.localStorage.key(i);
			if (storedArt.match(/^art[.]/)) {
				arrayval = window.localStorage.getItem(storedArt).split("#");
	            codp = arrayval[0];
	            qta = arrayval[4];
				idart = storedArt.replace('art.','');
				//devo verificare su JSON se id ancora presente e prendere prezzo
				FprezzoOK(idart);
				invioDati = invioDati && invioDato; //nel caso interruzione connessione
				if (passaok == 1) {
					//aggiungo alla variabile POST
					datidapassare = datidapassare + ',{"idArticolo":"'+idart+'","qntArticolo":"'+qta+'","przArticolo":"'+prezzo+'"}';
					ncar = ncar + 1;
					prezzounit = parseFloat(prezzo.replace(/\,/,"."));
					prezzoqta = prezzounit * parseFloat(qta);
					prezzotot = prezzotot + prezzoqta;
				} else { prodottimancanti = prodottimancanti + "<br>"; }
			}
		}   
		datidapassare = datidapassare + ']';
		//alert("carrello="+datidapassare);
		
		if (invioDati == true) {
		    if (ncar>0) {
    			url = "http://www.kylua.it/br_gest/nowhere/carrello.php";
    			//data = 'carrello='+ encodeURIComponent(datidapassare);
    			data = 'idLingua='+lingua+'&carrello='+ datidapassare;
    			var jqxhr = $.post(url, data, callback);
    			function callback(data) {
    		        
    			} // end processData
    		    jqxhr.success(function(){ 
    		    	$('#progress').remove();
    		    	//svuoto localStorage
    		    	var loginSave = localStorage.getItem("login");
					var loginPwd = localStorage.getItem("pwd");
					localStorage.clear(); 
					window.localStorage.setItem("login", loginSave);
					window.localStorage.setItem("pwd", loginPwd);

    		    	$('#bottone').hide();
    		    	$('#artList').hide();
    		    	$('#punti').hide();
					$('#blocconote').hide();
					$('#msgerrore').show();
    		    	$('#msgerrore').html('<p>'+testo_pagina_ordine_confermato+'.</p>');
    		    	if (prodottimancanti != "") {$('#msgerrore').append('<p>'+testo_pagina_ordine_articoli_non_disponibili_1+' <br>'+ prodottimancanti +'<br> '+testo_pagina_ordine_articoli_non_disponibili_2+'.</p>');}
    		    	$('#msgerrore').append('<p>' + testo_pagina_ordine_totale_ordine + ': '+ (Math.round(parseFloat(prezzotot) * 100) / 100) +' &euro;</p>');
    		    });
    		    jqxhr.error(function(){ 
    		    	$('#progress').remove();
    		    	$('#msgerrore').html('<p>'+testo_pagina_ordine_errore_generico+'</p>');
    		    });
    		    
    		} else { //non ci sono prodotti nel carrello
		    	$('#progress').remove();
		    	//svuoto localStorage
	            localStorage.clear(); 
		    	$('#artList').hide();
	            $('#bottone').hide();
				$('#punti').hide();
				$('#blocconote').hide();
		    	$('#msgerrore').show();
		    	$('#msgerrore').html('<p>'+testo_pagina_ordine_errore_articoli+'.</p>');
		     }
		        
		} else {
		    $('#progress').remove();
		    $('#msgerrore').show();
		    $('#msgerrore').html('<p>'+testo_pagina_ordine_errore_generico+'</p>');
        }
		
	} 
}



// *********************************** //
// ***********    INDIETRO    *********
// *********************************** //


function tornaCategorie (){
    $(document).ready(function(){
	    livello = 2;
		sotto = 0;
		$('div.pagina').addClass('logo');
		$('#prodotti').html('');
		$('#percorso').hide();
		$('#contatti').hide();
		$('#chisiamo').hide();
		$('#listacat').show();
		$('#listasottocat3').hide();
		$('#listasottocat4').hide();
        $('#listasottocat5').hide();
		$('#listasottocat6').hide();
		$('#listatit').hide();
		$('#listacerca').hide();
	});
}

function tornaSottoCategorie3 (){
    $(document).ready(function(){
	    livello = 3;
	    sotto = 3;
		$('#prodotti').html('');
		$('#listacat').hide();
		$('#listatit').hide();
		$('#percorso').html(nomecate);
		$('#percorso').show();
		$('#listasottocat3').show();
		$('#listasottocat4').hide();
        $('#listasottocat5').hide();
        $('#listasottocat6').hide();
        $('#listatit').hide();
		$('#listacerca').hide();
	});
}
function tornaSottoCategorie4 (){
    $(document).ready(function(){
	    livello = 4;
	    sotto = 4;
		$('#prodotti').html('');
		$('#listacat').hide();
		$('#percorso').html(nomesottocate1);
		$('#percorso').show();
		$('#listasottocat3').hide();
		$('#listasottocat4').show();
        $('#listasottocat5').hide();
        $('#listasottocat6').hide();
        $('#listatit').hide();
		$('#listacerca').hide();
	});
}
function tornaSottoCategorie5 (){
    $(document).ready(function(){
	    livello = 5;
	    sotto = 5;
		$('#prodotti').html('');
		$('#listacat').hide();
		$('#percorso').html(nomesottocate2);
		$('#percorso').show();
		$('#listasottocat3').hide();
		$('#listasottocat4').hide();
        $('#listasottocat5').show();
        $('#listasottocat6').hide();
        $('#listatit').hide();
		$('#listacerca').hide();
	});
}
function tornaSottoCategorie6 (){
    $(document).ready(function(){
	    livello = 6;
	    sotto = 6;
		$('#prodotti').html('');
		$('#listacat').hide();
		$('#percorso').html(nomesottocate3);
		$('#percorso').show();
		$('#listasottocat3').hide();
		$('#listasottocat4').hide();
        $('#listasottocat5').hide();
        $('#listasottocat6').show();
        $('#listatit').hide();
		$('#listacerca').hide();
	});
}

function tornaTitoli (){
    $(document).ready(function(){
	    livello = 7;
		$('#percorso').removeClass('scheda');
		$('#prodotti').html('');
		$('.nota').html('');
		$('#percorso').html(nomepercorsotit);
		$('#percorso').show();
		$('#listacat').hide();
		$('#listasottocat3').hide();
		$('#listasottocat4').hide();
        $('#listasottocat5').hide();
		$('#listasottocat6').hide();
		$('#listatit').show();
		$('#listacerca').hide();
	});
}


function tornaRicerca() {
	$(document).ready(function(){
        livello = 11;
        $('body,html').animate({scrollTop:0},500);
		$('#percorso').removeClass('scheda');
		$('#prodotti').hide();
		$('.nota').hide();
		$('#contatti').hide();
        $('#percorso').html('Risultati ricerca');
        $('#percorso').show();
		$('#listacerca').show();
    });
}


function onBackKeyDown(e) {
    console.log('CONSOLLE: onBackKeyDown');

		console.log('CONSOLLE:livello: ' + livello + '-sotto:' + sotto);
		//alert("liv:"+livello);
		if (livello == 12) { //ricerca
			tornaRicerca();
		} else if (livello == 11) { //ricerca
			livello = 2;
			caricaRicerca();
		} else if (livello == 10) { //promo
			tornaPromo();
		} else if (livello == 9) { //promo - contatti - chi siamo- my account - carrello
			livello = 1;
			$('div.pagina').addClass('logo');
			caricaMenu();
		} else if (livello == 8) {
			tornaTitoli();
		} else if (livello == 7) {
			switch (sotto) {
			case 3:
				tornaSottoCategorie3();
				break;
			case 4:
				tornaSottoCategorie4();
				break;
			case 5:
				tornaSottoCategorie5();
				break;
			case 6:
				tornaSottoCategorie6();
				break;
			default:
				tornaCategorie();
			}
		} else if (livello == 6) {
			tornaSottoCategorie5();
		} else if (livello == 5) {
			tornaSottoCategorie4();
		} else if (livello == 4) {
			tornaSottoCategorie3();
		} else if (livello == 3) {
			tornaCategorie();
		} else if (livello == 2) {
			caricaMenu();
		} else if (livello == 1) {
			//alert("sono a livello 1");
			chiudiAppAndroid();     //solo ANDROID
		}
}



//***********************************
//**********     OLD           ******
//***********************************


function tornaPromo (){
    $(document).ready(function(){
        livello = 9;
        $('#prodottipromo').html('');
		$('.nota').html('');
        $('#percorso').html('Gallery');
        $('#percorso').show();
        $('#contatti').hide();
        $('#chisiamo').hide();
        $('#listacat').hide();
        $('#listasottocat3').hide();
        $('#listasottocat4').hide();
        $('#listasottocat5').hide();
        $('#listasottocat6').hide();
        $('#listatit').hide();
		$('#listacerca').hide();
        $('#prodotti').hide();
        $('#promoList').show();
        if (device.platform.indexOf("iPhone")>-1) {$('#btnTop').hide();};
    });
}

function caricaPromozioni() {
	$('div.pagina').removeClass('logo');
	$('#menuHome').hide();
	$('#bandierine').hide();
	$('#listacat').hide();
	$('#contatti').hide();
	$('#chisiamo').hide();
	$('#listasottocat3').hide();
	$('#listasottocat4').hide();
	$('#listasottocat5').hide();
	$('#listasottocat6').hide();
	$('#listatit').hide();
	$('#listacerca').hide();
	$('#prodotti').hide();
	if (livello == 1) {
        document.addEventListener("backbutton", onBackKeyDown, false);
    }
    if (device.platform.indexOf("iPhone")>-1) {$('#btnBack').show();};

    $(document).ready(function () {
		livello = 9;
		$('#prodottipromo').html('');
		$('#promoList').children().remove('li');
        $('#promoList').show();
		$('#percorso').show();
        $('body').append('<div id="progress">Loading...</div>');
        $.ajax({
        	type: "POST",
        	url: "http://www.kylua.it/br_gest/nowhere/offerte.php",
        	data: "idLingua="+lingua,
            //timeout: 5000,
            success: function (data, status) {
            	var datiparsati = jQuery.parseJSON(data);
				$.each(datiparsati, function (i, item) {
					$('#percorso').html('Gallery');
					if (item.id == 0) {
						$('#percorso').append("<span style='text-align:center;padding-top:10px'> </span>");
					} else {
						$("#outputInternal ul#promoList").append('<li><a onclick=caricaProdPromo('+ item.id +') ></a><img class="foto-tit" src="http://www.kylua.it/br_gest/'+ item.img +'"><p><strong>'+ item.n +'</strong><br>'+ item.d + '</p></li>');
					}
                });
               $('#outputInternal ul#promoList').listview('refresh');
			   $('#progress').remove();
            },
            error: function () {
               $('#progress').remove();
               navigator.notification.alert(alertConnessione_2, alertApp);
            }
        });
    });
}

function caricaProdPromo(idtit){
    $(document).ready(function(){
        $('body').append('<div id="progress">Loading...</div>');
        if (device.platform.indexOf("iPhone")>-1) {$('#btnTop').show();};
        $('#listacat').hide();
        $('#contatti').hide();
        $('#chisiamo').hide();
        $('#listasottocat3').hide();
        $('#listasottocat4').hide();
        $('#listasottocat5').hide();
        $('#listasottocat6').hide();
        $('#listatit').hide();
		$('#listacerca').hide();
        $('#prodotti').hide();
        $('#promoList').hide();
        $('#percorso').html('');
        $('#percorso').show();
        livello = 10;
        $('#prodottipromo').html('');
		selectValues = { "1": testo_pagina_prodotto_tendina_quantita + " 1"};
		for (var j=2;j<=50;j++)
		{
		selectValues[j] = testo_pagina_prodotto_tendina_quantita + " " + j;
		}

        $.ajax({
            type: "POST",
            url: "http://www.kylua.it/br_gest/nowhere/offertearticoli.php",
            data: "idLingua="+lingua+"&idTitolo="+idtit+"&lis="+sessionStorage.getItem("listino"),

            success: function(data, status){
                var datiparsati = jQuery.parseJSON(data);
                $.each(datiparsati, function(i,item){
                    if (item.id == 0) {
                        nometit = item.nometit
                        $('#percorso').append(item.nometit );
                        $('#percorso').addClass('scheda');
                    }
                    else {

                        var nomecarrello = nometit+"#" + item.r+"#" + item.p ;
                        var landmark = "<div class='art'><img class='foto-prd' src='http://www.kylua.it/br_gest/" + item.img + "'>";
                        landmark = landmark + "<p>Cod. <strong>" + item.c + "</strong> <br>Tit. <strong>"+nometit+"</strong><br>";
                        landmark = landmark + "Rif. <strong class='nero'>" + item.r + "</strong><br>";
                        landmark = landmark + "Var. <strong class='nero'>" + item.v + "</strong><br>";
                        landmark = landmark + "Not. <strong class='nero'>" + item.n + "</strong><br>";
                        landmark = landmark + "Qnt. <strong class='nero'>" + item.q + "</strong><br>";
                        if (sessionStorage.getItem("idUtente")>0) {
							landmark = landmark + "Prezzo";
						    if (sessionStorage.getItem("listino")==0) {landmark = landmark + "*";}
							landmark = landmark + ": <strong>" + item.p + "</strong></p>";
							landmark = landmark + '<select id="qta'+i+'" name="qta'+i+'">';
							landmark = landmark + '</select>';
							landmark = landmark + '<a class="dettagli ui-btn ui-btn-inline ui-shadow ui-btn-corner-all ui-mini ui-btn-up-c" onclick="';
							landmark = landmark + "compra('" + item.id + "','" + item.c + "', '" + nomecarrello.replace("'","&lsquo;") + "', '"+ i +"')";
							landmark = landmark + '">compra</a>';
						}
						landmark = landmark + "</div>";
                        $('#prodottipromo').append(landmark);
						$.each(selectValues, function(key, value) {
							 $('#qta' + i)
								  .append($('<option>', { value : key })
								  .text(value));
						});
                    }
                });
                if (sessionStorage.getItem("listino")==0) {$('#prodottipromo').after("<p class='nota'>* "+testo_pagina_prodotto_nota_prezzo+"</p>");}
                $('#progress').remove();
            },
            error: function(){
                $('#progress').remove();
                navigator.notification.alert(alertConnessione_2,alertApp);
            }
        });
    });
}
